## org.metaabm.act
Interface MetaABMActPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MetaABMActPackageImpl

    public interface MetaABMActPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Author:
  Miles Parker
See Also:
  `MetaABMActFactory`

Nested Class Summary
`static interface` `MetaABMActPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` `AACCESSOR` The meta object id for the '`AAccessor`' class.
`static int` `AACCESSOR__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `AACCESSOR__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `AACCESSOR__ATTRIBUTE` The feature id for the 'Attribute' reference.
`static int` `AACCESSOR__GROUP` The feature id for the 'Group' container reference.
`static int` `AACCESSOR__ID` The feature id for the 'ID' attribute.
`static int` `AACCESSOR__LABEL` The feature id for the 'Label' attribute.
`static int` `AACCESSOR__REFERENCE` The feature id for the 'Reference' reference.
`static int` `AACCESSOR__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `AACCESSOR__SELECTED` The feature id for the 'Selected' reference.
`static int` `AACCESSOR__SOURCES` The feature id for the 'Sources' reference list.
`static int` `AACCESSOR__TARGETS` The feature id for the 'Targets' reference list.
`static int` `AACCESSOR_FEATURE_COUNT` The number of structural features of the 'AAccessor' class.
`static int` `AACT` The meta object id for the '`AAct`' class.
`static int` `AACT__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `AACT__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `AACT__GROUP` The feature id for the 'Group' container reference.
`static int` `AACT__ID` The feature id for the 'ID' attribute.
`static int` `AACT__LABEL` The feature id for the 'Label' attribute.
`static int` `AACT__REFERENCE` The feature id for the 'Reference' reference.
`static int` `AACT__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `AACT__SELECTED` The feature id for the 'Selected' reference.
`static int` `AACT__SOURCES` The feature id for the 'Sources' reference list.
`static int` `AACT__TARGETS` The feature id for the 'Targets' reference list.
`static int` `AACT_FEATURE_COUNT` The number of structural features of the 'AAct' class.
`static int` `AALL` The meta object id for the '`AAll`' class.
`static int` `AALL__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `AALL__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `AALL__GROUP` The feature id for the 'Group' container reference.
`static int` `AALL__ID` The feature id for the 'ID' attribute.
`static int` `AALL__LABEL` The feature id for the 'Label' attribute.
`static int` `AALL__REFERENCE` The feature id for the 'Reference' reference.
`static int` `AALL__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `AALL__SELECTED` The feature id for the 'Selected' reference.
`static int` `AALL__SOURCES` The feature id for the 'Sources' reference list.
`static int` `AALL__TARGETS` The feature id for the 'Targets' reference list.
`static int` `AALL_FEATURE_COUNT` The number of structural features of the 'AAll' class.
`static int` `AANY` The meta object id for the '`AAny`' class.
`static int` `AANY__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `AANY__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `AANY__GROUP` The feature id for the 'Group' container reference.
`static int` `AANY__ID` The feature id for the 'ID' attribute.
`static int` `AANY__LABEL` The feature id for the 'Label' attribute.
`static int` `AANY__REFERENCE` The feature id for the 'Reference' reference.
`static int` `AANY__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `AANY__SELECTED` The feature id for the 'Selected' reference.
`static int` `AANY__SOURCES` The feature id for the 'Sources' reference list.
`static int` `AANY__TARGETS` The feature id for the 'Targets' reference list.
`static int` `AANY_FEATURE_COUNT` The number of structural features of the 'AAny' class.
`static int` `ABUILD` The meta object id for the '`ABuild`' class.
`static int` `ABUILD__AGENT` The feature id for the 'Agent' reference.
`static int` `ABUILD__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ABUILD__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ABUILD__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `ABUILD__FOR` The feature id for the 'For' attribute.
`static int` `ABUILD__GROUP` The feature id for the 'Group' container reference.
`static int` `ABUILD__ID` The feature id for the 'ID' attribute.
`static int` `ABUILD__LABEL` The feature id for the 'Label' attribute.
`static int` `ABUILD__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` `ABUILD__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ABUILD__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ABUILD__SELECTED` The feature id for the 'Selected' reference.
`static int` `ABUILD__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ABUILD__SPACE` The feature id for the 'Space' reference.
`static int` `ABUILD__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ABUILD_FEATURE_COUNT` The number of structural features of the 'ABuild' class.
`static int` `ABUILD_GEOGRAPHY` The meta object id for the '`ABuild Geography`' class.
`static int` `ABUILD_GEOGRAPHY__AGENTS` The feature id for the 'Agents' reference list.
`static int` `ABUILD_GEOGRAPHY__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ABUILD_GEOGRAPHY__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ABUILD_GEOGRAPHY__ATTRIBUTES` The feature id for the 'Attributes' reference list.
`static int` `ABUILD_GEOGRAPHY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `ABUILD_GEOGRAPHY__GROUP` The feature id for the 'Group' container reference.
`static int` `ABUILD_GEOGRAPHY__ID` The feature id for the 'ID' attribute.
`static int` `ABUILD_GEOGRAPHY__LABEL` The feature id for the 'Label' attribute.
`static int` `ABUILD_GEOGRAPHY__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` `ABUILD_GEOGRAPHY__PROJECTION` The feature id for the 'Projection' reference.
`static int` `ABUILD_GEOGRAPHY__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ABUILD_GEOGRAPHY__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ABUILD_GEOGRAPHY__SELECTED` The feature id for the 'Selected' reference.
`static int` `ABUILD_GEOGRAPHY__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ABUILD_GEOGRAPHY__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ABUILD_GEOGRAPHY_FEATURE_COUNT` The number of structural features of the 'ABuild Geography' class.
`static int` `ABUILD_GRID` The meta object id for the '`ABuild Grid`' class.
`static int` `ABUILD_GRID__AGENTS` The feature id for the 'Agents' reference list.
`static int` `ABUILD_GRID__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ABUILD_GRID__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ABUILD_GRID__ATTRIBUTES` The feature id for the 'Attributes' reference list.
`static int` `ABUILD_GRID__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `ABUILD_GRID__FILL_AGENT` The feature id for the 'Fill Agent' reference.
`static int` `ABUILD_GRID__GROUP` The feature id for the 'Group' container reference.
`static int` `ABUILD_GRID__ID` The feature id for the 'ID' attribute.
`static int` `ABUILD_GRID__LABEL` The feature id for the 'Label' attribute.
`static int` `ABUILD_GRID__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` `ABUILD_GRID__PROJECTION` The feature id for the 'Projection' reference.
`static int` `ABUILD_GRID__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ABUILD_GRID__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ABUILD_GRID__SELECTED` The feature id for the 'Selected' reference.
`static int` `ABUILD_GRID__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ABUILD_GRID__SPACE_TYPE` The feature id for the 'Space Type' attribute.
`static int` `ABUILD_GRID__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ABUILD_GRID_FEATURE_COUNT` The number of structural features of the 'ABuild Grid' class.
`static int` `ABUILD_NETWORK` The meta object id for the '`ABuild Network`' class.
`static int` `ABUILD_NETWORK__AGENTS` The feature id for the 'Agents' reference list.
`static int` `ABUILD_NETWORK__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ABUILD_NETWORK__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ABUILD_NETWORK__ATTRIBUTES` The feature id for the 'Attributes' reference list.
`static int` `ABUILD_NETWORK__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `ABUILD_NETWORK__GROUP` The feature id for the 'Group' container reference.
`static int` `ABUILD_NETWORK__ID` The feature id for the 'ID' attribute.
`static int` `ABUILD_NETWORK__LABEL` The feature id for the 'Label' attribute.
`static int` `ABUILD_NETWORK__NETWORK_TYPE` The feature id for the 'Network Type' attribute.
`static int` `ABUILD_NETWORK__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` `ABUILD_NETWORK__PROJECTION` The feature id for the 'Projection' reference.
`static int` `ABUILD_NETWORK__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ABUILD_NETWORK__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ABUILD_NETWORK__SELECTED` The feature id for the 'Selected' reference.
`static int` `ABUILD_NETWORK__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ABUILD_NETWORK__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ABUILD_NETWORK_FEATURE_COUNT` The number of structural features of the 'ABuild Network' class.
`static int` `ABUILD_NETWORK_TYPES` The meta object id for the '`ABuild Network Types`' enum.
`static int` `ABUILD_PROJECTION` The meta object id for the '`ABuild Projection`' class.
`static int` `ABUILD_PROJECTION__AGENTS` The feature id for the 'Agents' reference list.
`static int` `ABUILD_PROJECTION__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ABUILD_PROJECTION__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ABUILD_PROJECTION__ATTRIBUTES` The feature id for the 'Attributes' reference list.
`static int` `ABUILD_PROJECTION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `ABUILD_PROJECTION__GROUP` The feature id for the 'Group' container reference.
`static int` `ABUILD_PROJECTION__ID` The feature id for the 'ID' attribute.
`static int` `ABUILD_PROJECTION__LABEL` The feature id for the 'Label' attribute.
`static int` `ABUILD_PROJECTION__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` `ABUILD_PROJECTION__PROJECTION` The feature id for the 'Projection' reference.
`static int` `ABUILD_PROJECTION__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ABUILD_PROJECTION__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ABUILD_PROJECTION__SELECTED` The feature id for the 'Selected' reference.
`static int` `ABUILD_PROJECTION__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ABUILD_PROJECTION__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ABUILD_PROJECTION_FEATURE_COUNT` The number of structural features of the 'ABuild Projection' class.
`static int` `ABUILD_SPACE` The meta object id for the '`ABuild Space`' class.
`static int` `ABUILD_SPACE__AGENTS` The feature id for the 'Agents' reference list.
`static int` `ABUILD_SPACE__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ABUILD_SPACE__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ABUILD_SPACE__ATTRIBUTES` The feature id for the 'Attributes' reference list.
`static int` `ABUILD_SPACE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `ABUILD_SPACE__GROUP` The feature id for the 'Group' container reference.
`static int` `ABUILD_SPACE__ID` The feature id for the 'ID' attribute.
`static int` `ABUILD_SPACE__LABEL` The feature id for the 'Label' attribute.
`static int` `ABUILD_SPACE__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` `ABUILD_SPACE__PROJECTION` The feature id for the 'Projection' reference.
`static int` `ABUILD_SPACE__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ABUILD_SPACE__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ABUILD_SPACE__SELECTED` The feature id for the 'Selected' reference.
`static int` `ABUILD_SPACE__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ABUILD_SPACE__SPACE_TYPE` The feature id for the 'Space Type' attribute.
`static int` `ABUILD_SPACE__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ABUILD_SPACE_FEATURE_COUNT` The number of structural features of the 'ABuild Space' class.
`static int` `ABUILD_SPACE_TYPES` The meta object id for the '`ABuild Space Types`' enum.
`static int` `ACAUSE` The meta object id for the '`ACause`' class.
`static int` `ACAUSE__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ACAUSE__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ACAUSE__GROUP` The feature id for the 'Group' container reference.
`static int` `ACAUSE__ID` The feature id for the 'ID' attribute.
`static int` `ACAUSE__LABEL` The feature id for the 'Label' attribute.
`static int` `ACAUSE__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ACAUSE__RESULT` The feature id for the 'Result' reference.
`static int` `ACAUSE__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ACAUSE__SELECTED` The feature id for the 'Selected' reference.
`static int` `ACAUSE__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ACAUSE__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ACAUSE_FEATURE_COUNT` The number of structural features of the 'ACause' class.
`static int` `ACOMMAND` The meta object id for the '`ACommand`' class.
`static int` `ACOMMAND__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ACOMMAND__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ACOMMAND__GROUP` The feature id for the 'Group' container reference.
`static int` `ACOMMAND__ID` The feature id for the 'ID' attribute.
`static int` `ACOMMAND__LABEL` The feature id for the 'Label' attribute.
`static int` `ACOMMAND__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ACOMMAND__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ACOMMAND__SELECTED` The feature id for the 'Selected' reference.
`static int` `ACOMMAND__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ACOMMAND__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ACOMMAND_FEATURE_COUNT` The number of structural features of the 'ACommand' class.
`static int` `ACONNECT` The meta object id for the '`AConnect`' class.
`static int` `ACONNECT__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ACONNECT__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ACONNECT__DESTINATION` The feature id for the 'Destination' reference.
`static int` `ACONNECT__DIRECTED` The feature id for the 'Directed' attribute.
`static int` `ACONNECT__GROUP` The feature id for the 'Group' container reference.
`static int` `ACONNECT__ID` The feature id for the 'ID' attribute.
`static int` `ACONNECT__LABEL` The feature id for the 'Label' attribute.
`static int` `ACONNECT__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ACONNECT__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ACONNECT__SELECTED` The feature id for the 'Selected' reference.
`static int` `ACONNECT__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ACONNECT__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ACONNECT__WITHIN` The feature id for the 'Within' reference.
`static int` `ACONNECT_FEATURE_COUNT` The number of structural features of the 'AConnect' class.
`static int` `ACONTROL` The meta object id for the '`AControl`' class.
`static int` `ACONTROL__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ACONTROL__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ACONTROL__GROUP` The feature id for the 'Group' container reference.
`static int` `ACONTROL__ID` The feature id for the 'ID' attribute.
`static int` `ACONTROL__LABEL` The feature id for the 'Label' attribute.
`static int` `ACONTROL__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ACONTROL__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ACONTROL__SELECTED` The feature id for the 'Selected' reference.
`static int` `ACONTROL__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ACONTROL__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ACONTROL_FEATURE_COUNT` The number of structural features of the 'AControl' class.
`static int` `ACREATE_AGENTS` The meta object id for the '`ACreate Agents`' class.
`static int` `ACREATE_AGENTS__AGENT` The feature id for the 'Agent' reference.
`static int` `ACREATE_AGENTS__AGENT_COUNT` The feature id for the 'Agent Count' reference.
`static int` `ACREATE_AGENTS__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ACREATE_AGENTS__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ACREATE_AGENTS__FOR` The feature id for the 'For' attribute.
`static int` `ACREATE_AGENTS__GROUP` The feature id for the 'Group' container reference.
`static int` `ACREATE_AGENTS__ID` The feature id for the 'ID' attribute.
`static int` `ACREATE_AGENTS__LABEL` The feature id for the 'Label' attribute.
`static int` `ACREATE_AGENTS__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ACREATE_AGENTS__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ACREATE_AGENTS__SELECTED` The feature id for the 'Selected' reference.
`static int` `ACREATE_AGENTS__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ACREATE_AGENTS__SPACE` The feature id for the 'Space' reference.
`static int` `ACREATE_AGENTS__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ACREATE_AGENTS_FEATURE_COUNT` The number of structural features of the 'ACreate Agents' class.
`static int` `ACREATE_SHAPED_AGENTS` The meta object id for the '`ACreate Shaped Agents`' class.
`static int` `ACREATE_SHAPED_AGENTS__AGENT` The feature id for the 'Agent' reference.
`static int` `ACREATE_SHAPED_AGENTS__AGENT_COUNT` The feature id for the 'Agent Count' reference.
`static int` `ACREATE_SHAPED_AGENTS__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ACREATE_SHAPED_AGENTS__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ACREATE_SHAPED_AGENTS__FOR` The feature id for the 'For' attribute.
`static int` `ACREATE_SHAPED_AGENTS__GROUP` The feature id for the 'Group' container reference.
`static int` `ACREATE_SHAPED_AGENTS__ID` The feature id for the 'ID' attribute.
`static int` `ACREATE_SHAPED_AGENTS__LABEL` The feature id for the 'Label' attribute.
`static int` `ACREATE_SHAPED_AGENTS__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ACREATE_SHAPED_AGENTS__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ACREATE_SHAPED_AGENTS__SELECTED` The feature id for the 'Selected' reference.
`static int` `ACREATE_SHAPED_AGENTS__SHAPE` The feature id for the 'Shape' attribute.
`static int` `ACREATE_SHAPED_AGENTS__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ACREATE_SHAPED_AGENTS__SPACE` The feature id for the 'Space' reference.
`static int` `ACREATE_SHAPED_AGENTS__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ACREATE_SHAPED_AGENTS_FEATURE_COUNT` The number of structural features of the 'ACreate Shaped Agents' class.
`static int` `ADERIVE` The meta object id for the '`ADerive`' class.
`static int` `ADERIVE__AGENT` The feature id for the 'Agent' reference.
`static int` `ADERIVE__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ADERIVE__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ADERIVE__ATTRIBUTE` The feature id for the 'Attribute' reference.
`static int` `ADERIVE__FOR` The feature id for the 'For' attribute.
`static int` `ADERIVE__GROUP` The feature id for the 'Group' container reference.
`static int` `ADERIVE__ID` The feature id for the 'ID' attribute.
`static int` `ADERIVE__LABEL` The feature id for the 'Label' attribute.
`static int` `ADERIVE__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ADERIVE__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ADERIVE__SELECTED` The feature id for the 'Selected' reference.
`static int` `ADERIVE__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ADERIVE__SPACE` The feature id for the 'Space' reference.
`static int` `ADERIVE__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ADERIVE_FEATURE_COUNT` The number of structural features of the 'ADerive' class.
`static int` `ADIE` The meta object id for the '`ADie`' class.
`static int` `ADIE__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ADIE__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ADIE__DESTINATION` The feature id for the 'Destination' reference.
`static int` `ADIE__GROUP` The feature id for the 'Group' container reference.
`static int` `ADIE__ID` The feature id for the 'ID' attribute.
`static int` `ADIE__LABEL` The feature id for the 'Label' attribute.
`static int` `ADIE__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ADIE__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ADIE__SELECTED` The feature id for the 'Selected' reference.
`static int` `ADIE__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ADIE__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ADIE_FEATURE_COUNT` The number of structural features of the 'ADie' class.
`static int` `ADIFFUSE` The meta object id for the '`ADiffuse`' class.
`static int` `ADIFFUSE__AGENT` The feature id for the 'Agent' reference.
`static int` `ADIFFUSE__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ADIFFUSE__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ADIFFUSE__DIFFUSED` The feature id for the 'Diffused' reference.
`static int` `ADIFFUSE__DIFFUSION_RATE` The feature id for the 'Diffusion Rate' reference.
`static int` `ADIFFUSE__EVAPORATION_RATE` The feature id for the 'Evaporation Rate' reference.
`static int` `ADIFFUSE__FOR` The feature id for the 'For' attribute.
`static int` `ADIFFUSE__GROUP` The feature id for the 'Group' container reference.
`static int` `ADIFFUSE__ID` The feature id for the 'ID' attribute.
`static int` `ADIFFUSE__LABEL` The feature id for the 'Label' attribute.
`static int` `ADIFFUSE__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ADIFFUSE__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ADIFFUSE__SELECTED` The feature id for the 'Selected' reference.
`static int` `ADIFFUSE__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ADIFFUSE__SPACE` The feature id for the 'Space' reference.
`static int` `ADIFFUSE__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ADIFFUSE_FEATURE_COUNT` The number of structural features of the 'ADiffuse' class.
`static int` `ADISCONNECT` The meta object id for the '`ADisconnect`' class.
`static int` `ADISCONNECT__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ADISCONNECT__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ADISCONNECT__DESTINATION` The feature id for the 'Destination' reference.
`static int` `ADISCONNECT__GROUP` The feature id for the 'Group' container reference.
`static int` `ADISCONNECT__ID` The feature id for the 'ID' attribute.
`static int` `ADISCONNECT__LABEL` The feature id for the 'Label' attribute.
`static int` `ADISCONNECT__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ADISCONNECT__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ADISCONNECT__SELECTED` The feature id for the 'Selected' reference.
`static int` `ADISCONNECT__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ADISCONNECT__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ADISCONNECT__WITHIN` The feature id for the 'Within' reference.
`static int` `ADISCONNECT_FEATURE_COUNT` The number of structural features of the 'ADisconnect' class.
`static int` `AEVALUATE` The meta object id for the '`AEvaluate`' class.
`static int` `AEVALUATE__ACCESSORS` The feature id for the 'Accessors' reference list.
`static int` `AEVALUATE__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `AEVALUATE__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `AEVALUATE__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` `AEVALUATE__FUNCTION` The feature id for the 'Function' reference.
`static int` `AEVALUATE__GROUP` The feature id for the 'Group' container reference.
`static int` `AEVALUATE__ID` The feature id for the 'ID' attribute.
`static int` `AEVALUATE__INPUTS` The feature id for the 'Inputs' containment reference list.
`static int` `AEVALUATE__LABEL` The feature id for the 'Label' attribute.
`static int` `AEVALUATE__REFERENCE` The feature id for the 'Reference' reference.
`static int` `AEVALUATE__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `AEVALUATE__SELECTED` The feature id for the 'Selected' reference.
`static int` `AEVALUATE__SOURCES` The feature id for the 'Sources' reference list.
`static int` `AEVALUATE__TARGETS` The feature id for the 'Targets' reference list.
`static int` `AEVALUATE_FEATURE_COUNT` The number of structural features of the 'AEvaluate' class.
`static int` `AGROUP` The meta object id for the '`AGroup`' class.
`static int` `AGROUP__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `AGROUP__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `AGROUP__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `AGROUP__GROUP` The feature id for the 'Group' container reference.
`static int` `AGROUP__ID` The feature id for the 'ID' attribute.
`static int` `AGROUP__LABEL` The feature id for the 'Label' attribute.
`static int` `AGROUP__MEMBERS` The feature id for the 'Members' containment reference list.
`static int` `AGROUP__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` `AGROUP__REFERENCE` The feature id for the 'Reference' reference.
`static int` `AGROUP__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `AGROUP__ROOTS` The feature id for the 'Roots' reference list.
`static int` `AGROUP__SELECTED` The feature id for the 'Selected' reference.
`static int` `AGROUP__SOURCES` The feature id for the 'Sources' reference list.
`static int` `AGROUP__TARGETS` The feature id for the 'Targets' reference list.
`static int` `AGROUP_FEATURE_COUNT` The number of structural features of the 'AGroup' class.
`static int` `AINITIALIZE` The meta object id for the '`AInitialize`' class.
`static int` `AINITIALIZE__AGENT` The feature id for the 'Agent' reference.
`static int` `AINITIALIZE__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `AINITIALIZE__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `AINITIALIZE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `AINITIALIZE__FOR` The feature id for the 'For' attribute.
`static int` `AINITIALIZE__GROUP` The feature id for the 'Group' container reference.
`static int` `AINITIALIZE__ID` The feature id for the 'ID' attribute.
`static int` `AINITIALIZE__LABEL` The feature id for the 'Label' attribute.
`static int` `AINITIALIZE__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` `AINITIALIZE__REFERENCE` The feature id for the 'Reference' reference.
`static int` `AINITIALIZE__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `AINITIALIZE__SELECTED` The feature id for the 'Selected' reference.
`static int` `AINITIALIZE__SOURCES` The feature id for the 'Sources' reference list.
`static int` `AINITIALIZE__SPACE` The feature id for the 'Space' reference.
`static int` `AINITIALIZE__TARGETS` The feature id for the 'Targets' reference list.
`static int` `AINITIALIZE_FEATURE_COUNT` The number of structural features of the 'AInitialize' class.
`static int` `AINPUT` The meta object id for the '`AInput`' class.
`static int` `AINPUT__LITERAL` The feature id for the 'Literal' containment reference.
`static int` `AINPUT__SELECTED` The feature id for the 'Selected' reference.
`static int` `AINPUT__SINK` The feature id for the 'Sink' container reference.
`static int` `AINPUT__VALUE` The feature id for the 'Value' reference.
`static int` `AINPUT_FEATURE_COUNT` The number of structural features of the 'AInput' class.
`static int` `ALEAVE` The meta object id for the '`ALeave`' class.
`static int` `ALEAVE__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ALEAVE__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ALEAVE__DESTINATION` The feature id for the 'Destination' reference.
`static int` `ALEAVE__GROUP` The feature id for the 'Group' container reference.
`static int` `ALEAVE__ID` The feature id for the 'ID' attribute.
`static int` `ALEAVE__LABEL` The feature id for the 'Label' attribute.
`static int` `ALEAVE__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ALEAVE__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ALEAVE__SELECTED` The feature id for the 'Selected' reference.
`static int` `ALEAVE__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ALEAVE__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ALEAVE_FEATURE_COUNT` The number of structural features of the 'ALeave' class.
`static int` `ALITERAL` The meta object id for the '`ALiteral`' class.
`static int` `ALITERAL__ACCESSORS` The feature id for the 'Accessors' reference list.
`static int` `ALITERAL__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` `ALITERAL__ID` The feature id for the 'ID' attribute.
`static int` `ALITERAL__LABEL` The feature id for the 'Label' attribute.
`static int` `ALITERAL__VALUE_LITERAL` The feature id for the 'Value Literal' attribute.
`static int` `ALITERAL_FEATURE_COUNT` The number of structural features of the 'ALiteral' class.
`static int` `ALOAD_AGENTS` The meta object id for the '`ALoad Agents`' class.
`static int` `ALOAD_AGENTS__AGENT` The feature id for the 'Agent' reference.
`static int` `ALOAD_AGENTS__AGENT_COUNT` The feature id for the 'Agent Count' reference.
`static int` `ALOAD_AGENTS__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ALOAD_AGENTS__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ALOAD_AGENTS__FOR` The feature id for the 'For' attribute.
`static int` `ALOAD_AGENTS__GROUP` The feature id for the 'Group' container reference.
`static int` `ALOAD_AGENTS__ID` The feature id for the 'ID' attribute.
`static int` `ALOAD_AGENTS__LABEL` The feature id for the 'Label' attribute.
`static int` `ALOAD_AGENTS__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ALOAD_AGENTS__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ALOAD_AGENTS__SELECTED` The feature id for the 'Selected' reference.
`static int` `ALOAD_AGENTS__SOURCE_URL` The feature id for the 'Source URL' attribute.
`static int` `ALOAD_AGENTS__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ALOAD_AGENTS__SPACE` The feature id for the 'Space' reference.
`static int` `ALOAD_AGENTS__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ALOAD_AGENTS_FEATURE_COUNT` The number of structural features of the 'ALoad Agents' class.
`static int` `ALOAD_SHAPED_AGENTS` The meta object id for the '`ALoad Shaped Agents`' class.
`static int` `ALOAD_SHAPED_AGENTS__AGENT` The feature id for the 'Agent' reference.
`static int` `ALOAD_SHAPED_AGENTS__AGENT_COUNT` The feature id for the 'Agent Count' reference.
`static int` `ALOAD_SHAPED_AGENTS__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ALOAD_SHAPED_AGENTS__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ALOAD_SHAPED_AGENTS__FOR` The feature id for the 'For' attribute.
`static int` `ALOAD_SHAPED_AGENTS__GROUP` The feature id for the 'Group' container reference.
`static int` `ALOAD_SHAPED_AGENTS__ID` The feature id for the 'ID' attribute.
`static int` `ALOAD_SHAPED_AGENTS__LABEL` The feature id for the 'Label' attribute.
`static int` `ALOAD_SHAPED_AGENTS__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ALOAD_SHAPED_AGENTS__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ALOAD_SHAPED_AGENTS__SELECTED` The feature id for the 'Selected' reference.
`static int` `ALOAD_SHAPED_AGENTS__SHAPE` The feature id for the 'Shape' attribute.
`static int` `ALOAD_SHAPED_AGENTS__SOURCE_URL` The feature id for the 'Source URL' attribute.
`static int` `ALOAD_SHAPED_AGENTS__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ALOAD_SHAPED_AGENTS__SPACE` The feature id for the 'Space' reference.
`static int` `ALOAD_SHAPED_AGENTS__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ALOAD_SHAPED_AGENTS_FEATURE_COUNT` The number of structural features of the 'ALoad Shaped Agents' class.
`static int` `ALOGIC` The meta object id for the '`ALogic`' class.
`static int` `ALOGIC__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ALOGIC__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ALOGIC__GROUP` The feature id for the 'Group' container reference.
`static int` `ALOGIC__ID` The feature id for the 'ID' attribute.
`static int` `ALOGIC__LABEL` The feature id for the 'Label' attribute.
`static int` `ALOGIC__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ALOGIC__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ALOGIC__SELECTED` The feature id for the 'Selected' reference.
`static int` `ALOGIC__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ALOGIC__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ALOGIC_FEATURE_COUNT` The number of structural features of the 'ALogic' class.
`static int` `AMETHOD` The meta object id for the '`AMethod`' class.
`static int` `AMETHOD__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `AMETHOD__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `AMETHOD__BODY` The feature id for the 'Body' attribute.
`static int` `AMETHOD__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `AMETHOD__GENERATE` The feature id for the 'Generate' attribute.
`static int` `AMETHOD__GROUP` The feature id for the 'Group' container reference.
`static int` `AMETHOD__ID` The feature id for the 'ID' attribute.
`static int` `AMETHOD__LABEL` The feature id for the 'Label' attribute.
`static int` `AMETHOD__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` `AMETHOD__REFERENCE` The feature id for the 'Reference' reference.
`static int` `AMETHOD__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `AMETHOD__SELECTED` The feature id for the 'Selected' reference.
`static int` `AMETHOD__SOURCES` The feature id for the 'Sources' reference list.
`static int` `AMETHOD__TARGETS` The feature id for the 'Targets' reference list.
`static int` `AMETHOD_FEATURE_COUNT` The number of structural features of the 'AMethod' class.
`static int` `AMOVE` The meta object id for the '`AMove`' class.
`static int` `AMOVE__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `AMOVE__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `AMOVE__DESTINATION` The feature id for the 'Destination' reference.
`static int` `AMOVE__GROUP` The feature id for the 'Group' container reference.
`static int` `AMOVE__ID` The feature id for the 'ID' attribute.
`static int` `AMOVE__LABEL` The feature id for the 'Label' attribute.
`static int` `AMOVE__REFERENCE` The feature id for the 'Reference' reference.
`static int` `AMOVE__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `AMOVE__SELECTED` The feature id for the 'Selected' reference.
`static int` `AMOVE__SOURCES` The feature id for the 'Sources' reference list.
`static int` `AMOVE__TARGETS` The feature id for the 'Targets' reference list.
`static int` `AMOVE_FEATURE_COUNT` The number of structural features of the 'AMove' class.
`static int` `AMULTI_VALUE` The meta object id for the '`AMulti Value`' class.
`static int` `AMULTI_VALUE__ACCESSORS` The feature id for the 'Accessors' reference list.
`static int` `AMULTI_VALUE__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` `AMULTI_VALUE__ID` The feature id for the 'ID' attribute.
`static int` `AMULTI_VALUE__LABEL` The feature id for the 'Label' attribute.
`static int` `AMULTI_VALUE__VALUE_LITERAL` The feature id for the 'Value Literal' attribute.
`static int` `AMULTI_VALUE__VALUES` The feature id for the 'Values' reference list.
`static int` `AMULTI_VALUE_FEATURE_COUNT` The number of structural features of the 'AMulti Value' class.
`static int` `ANETWORK` The meta object id for the '`ANetwork`' class.
`static int` `ANETWORK__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ANETWORK__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ANETWORK__DESTINATION` The feature id for the 'Destination' reference.
`static int` `ANETWORK__GROUP` The feature id for the 'Group' container reference.
`static int` `ANETWORK__ID` The feature id for the 'ID' attribute.
`static int` `ANETWORK__LABEL` The feature id for the 'Label' attribute.
`static int` `ANETWORK__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ANETWORK__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ANETWORK__SELECTED` The feature id for the 'Selected' reference.
`static int` `ANETWORK__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ANETWORK__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ANETWORK__WITHIN` The feature id for the 'Within' reference.
`static int` `ANETWORK_FEATURE_COUNT` The number of structural features of the 'ANetwork' class.
`static int` `ANONE` The meta object id for the '`ANone`' class.
`static int` `ANONE__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ANONE__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ANONE__GROUP` The feature id for the 'Group' container reference.
`static int` `ANONE__ID` The feature id for the 'ID' attribute.
`static int` `ANONE__LABEL` The feature id for the 'Label' attribute.
`static int` `ANONE__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ANONE__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ANONE__SELECTED` The feature id for the 'Selected' reference.
`static int` `ANONE__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ANONE__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ANONE_FEATURE_COUNT` The number of structural features of the 'ANone' class.
`static int` `APERFORM` The meta object id for the '`APerform`' class.
`static int` `APERFORM__AGENT` The feature id for the 'Agent' reference.
`static int` `APERFORM__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `APERFORM__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `APERFORM__FOR` The feature id for the 'For' attribute.
`static int` `APERFORM__GROUP` The feature id for the 'Group' container reference.
`static int` `APERFORM__ID` The feature id for the 'ID' attribute.
`static int` `APERFORM__LABEL` The feature id for the 'Label' attribute.
`static int` `APERFORM__REFERENCE` The feature id for the 'Reference' reference.
`static int` `APERFORM__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `APERFORM__SELECTED` The feature id for the 'Selected' reference.
`static int` `APERFORM__SOURCES` The feature id for the 'Sources' reference list.
`static int` `APERFORM__SPACE` The feature id for the 'Space' reference.
`static int` `APERFORM__TARGETS` The feature id for the 'Targets' reference list.
`static int` `APERFORM_FEATURE_COUNT` The number of structural features of the 'APerform' class.
`static int` `AQUERY` The meta object id for the '`AQuery`' class.
`static int` `AQUERY__ACCESSORS` The feature id for the 'Accessors' reference list.
`static int` `AQUERY__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `AQUERY__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `AQUERY__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` `AQUERY__FUNCTION` The feature id for the 'Function' reference.
`static int` `AQUERY__GROUP` The feature id for the 'Group' container reference.
`static int` `AQUERY__ID` The feature id for the 'ID' attribute.
`static int` `AQUERY__INPUTS` The feature id for the 'Inputs' containment reference list.
`static int` `AQUERY__LABEL` The feature id for the 'Label' attribute.
`static int` `AQUERY__REFERENCE` The feature id for the 'Reference' reference.
`static int` `AQUERY__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `AQUERY__SELECTED` The feature id for the 'Selected' reference.
`static int` `AQUERY__SOURCES` The feature id for the 'Sources' reference list.
`static int` `AQUERY__TARGETS` The feature id for the 'Targets' reference list.
`static int` `AQUERY_FEATURE_COUNT` The number of structural features of the 'AQuery' class.
`static int` `AREPLACE` The meta object id for the '`AReplace`' class.
`static int` `AREPLACE__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `AREPLACE__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `AREPLACE__DESTINATION` The feature id for the 'Destination' reference.
`static int` `AREPLACE__DIRECTED` The feature id for the 'Directed' attribute.
`static int` `AREPLACE__GROUP` The feature id for the 'Group' container reference.
`static int` `AREPLACE__ID` The feature id for the 'ID' attribute.
`static int` `AREPLACE__LABEL` The feature id for the 'Label' attribute.
`static int` `AREPLACE__REFERENCE` The feature id for the 'Reference' reference.
`static int` `AREPLACE__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `AREPLACE__SELECTED` The feature id for the 'Selected' reference.
`static int` `AREPLACE__SOURCES` The feature id for the 'Sources' reference list.
`static int` `AREPLACE__TARGETS` The feature id for the 'Targets' reference list.
`static int` `AREPLACE__WITHIN` The feature id for the 'Within' reference.
`static int` `AREPLACE_FEATURE_COUNT` The number of structural features of the 'AReplace' class.
`static int` `AROOT` The meta object id for the '`ARoot`' class.
`static int` `AROOT__AGENT` The feature id for the 'Agent' reference.
`static int` `AROOT__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `AROOT__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `AROOT__FOR` The feature id for the 'For' attribute.
`static int` `AROOT__GROUP` The feature id for the 'Group' container reference.
`static int` `AROOT__ID` The feature id for the 'ID' attribute.
`static int` `AROOT__LABEL` The feature id for the 'Label' attribute.
`static int` `AROOT__REFERENCE` The feature id for the 'Reference' reference.
`static int` `AROOT__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `AROOT__SELECTED` The feature id for the 'Selected' reference.
`static int` `AROOT__SOURCES` The feature id for the 'Sources' reference list.
`static int` `AROOT__SPACE` The feature id for the 'Space' reference.
`static int` `AROOT__TARGETS` The feature id for the 'Targets' reference list.
`static int` `AROOT_FEATURE_COUNT` The number of structural features of the 'ARoot' class.
`static int` `ARULE` The meta object id for the '`ARule`' class.
`static int` `ARULE__AGENT` The feature id for the 'Agent' reference.
`static int` `ARULE__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ARULE__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ARULE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `ARULE__FOR` The feature id for the 'For' attribute.
`static int` `ARULE__GROUP` The feature id for the 'Group' container reference.
`static int` `ARULE__ID` The feature id for the 'ID' attribute.
`static int` `ARULE__LABEL` The feature id for the 'Label' attribute.
`static int` `ARULE__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` `ARULE__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ARULE__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ARULE__SELECTED` The feature id for the 'Selected' reference.
`static int` `ARULE__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ARULE__SPACE` The feature id for the 'Space' reference.
`static int` `ARULE__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ARULE_FEATURE_COUNT` The number of structural features of the 'ARule' class.
`static int` `ASCHEDULE` The meta object id for the '`ASchedule`' class.
`static int` `ASCHEDULE__AGENT` The feature id for the 'Agent' reference.
`static int` `ASCHEDULE__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ASCHEDULE__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ASCHEDULE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `ASCHEDULE__FOR` The feature id for the 'For' attribute.
`static int` `ASCHEDULE__GROUP` The feature id for the 'Group' container reference.
`static int` `ASCHEDULE__ID` The feature id for the 'ID' attribute.
`static int` `ASCHEDULE__INTERVAL` The feature id for the 'Interval' attribute.
`static int` `ASCHEDULE__LABEL` The feature id for the 'Label' attribute.
`static int` `ASCHEDULE__PICK` The feature id for the 'Pick' attribute.
`static int` `ASCHEDULE__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` `ASCHEDULE__PRIORITY` The feature id for the 'Priority' attribute.
`static int` `ASCHEDULE__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ASCHEDULE__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ASCHEDULE__SELECTED` The feature id for the 'Selected' reference.
`static int` `ASCHEDULE__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ASCHEDULE__SPACE` The feature id for the 'Space' reference.
`static int` `ASCHEDULE__START` The feature id for the 'Start' attribute.
`static int` `ASCHEDULE__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ASCHEDULE_FEATURE_COUNT` The number of structural features of the 'ASchedule' class.
`static int` `ASELECT` The meta object id for the '`ASelect`' class.
`static int` `ASELECT__AGENT` The feature id for the 'Agent' reference.
`static int` `ASELECT__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ASELECT__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ASELECT__FOR` The feature id for the 'For' attribute.
`static int` `ASELECT__GROUP` The feature id for the 'Group' container reference.
`static int` `ASELECT__ID` The feature id for the 'ID' attribute.
`static int` `ASELECT__LABEL` The feature id for the 'Label' attribute.
`static int` `ASELECT__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ASELECT__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ASELECT__SELECTED` The feature id for the 'Selected' reference.
`static int` `ASELECT__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ASELECT__SPACE` The feature id for the 'Space' reference.
`static int` `ASELECT__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ASELECT_FEATURE_COUNT` The number of structural features of the 'ASelect' class.
`static int` `ASELECT_TYPES` The meta object id for the '`ASelect Types`' enum.
`static int` `ASET` The meta object id for the '`ASet`' class.
`static int` `ASET__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ASET__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ASET__ATTRIBUTE` The feature id for the 'Attribute' reference.
`static int` `ASET__GROUP` The feature id for the 'Group' container reference.
`static int` `ASET__ID` The feature id for the 'ID' attribute.
`static int` `ASET__LABEL` The feature id for the 'Label' attribute.
`static int` `ASET__PARAMETER` The feature id for the 'Parameter' reference.
`static int` `ASET__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ASET__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ASET__SELECTED` The feature id for the 'Selected' reference.
`static int` `ASET__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ASET__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ASET_FEATURE_COUNT` The number of structural features of the 'ASet' class.
`static int` `ASHAPED` The meta object id for the '`AShaped`' class.
`static int` `ASHAPED__SHAPE` The feature id for the 'Shape' attribute.
`static int` `ASHAPED_FEATURE_COUNT` The number of structural features of the 'AShaped' class.
`static int` `ASINK` The meta object id for the '`ASink`' class.
`static int` `ASINK__ACCESSORS` The feature id for the 'Accessors' reference list.
`static int` `ASINK__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ASINK__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ASINK__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` `ASINK__FUNCTION` The feature id for the 'Function' reference.
`static int` `ASINK__GROUP` The feature id for the 'Group' container reference.
`static int` `ASINK__ID` The feature id for the 'ID' attribute.
`static int` `ASINK__INPUTS` The feature id for the 'Inputs' containment reference list.
`static int` `ASINK__LABEL` The feature id for the 'Label' attribute.
`static int` `ASINK__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ASINK__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ASINK__SELECTED` The feature id for the 'Selected' reference.
`static int` `ASINK__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ASINK__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ASINK_FEATURE_COUNT` The number of structural features of the 'ASink' class.
`static int` `ATRANSFORM` The meta object id for the '`ATransform`' class.
`static int` `ATRANSFORM__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `ATRANSFORM__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `ATRANSFORM__DESTINATION` The feature id for the 'Destination' reference.
`static int` `ATRANSFORM__GROUP` The feature id for the 'Group' container reference.
`static int` `ATRANSFORM__ID` The feature id for the 'ID' attribute.
`static int` `ATRANSFORM__LABEL` The feature id for the 'Label' attribute.
`static int` `ATRANSFORM__REFERENCE` The feature id for the 'Reference' reference.
`static int` `ATRANSFORM__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `ATRANSFORM__SELECTED` The feature id for the 'Selected' reference.
`static int` `ATRANSFORM__SOURCES` The feature id for the 'Sources' reference list.
`static int` `ATRANSFORM__TARGETS` The feature id for the 'Targets' reference list.
`static int` `ATRANSFORM_FEATURE_COUNT` The number of structural features of the 'ATransform' class.
`static int` `AWATCH` The meta object id for the '`AWatch`' class.
`static int` `AWATCH__AGENT` The feature id for the 'Agent' reference.
`static int` `AWATCH__ALL_SOURCES` The feature id for the 'All Sources' reference list.
`static int` `AWATCH__ALL_TARGETS` The feature id for the 'All Targets' reference list.
`static int` `AWATCH__ATTRIBUTE` The feature id for the 'Attribute' reference.
`static int` `AWATCH__FOR` The feature id for the 'For' attribute.
`static int` `AWATCH__GROUP` The feature id for the 'Group' container reference.
`static int` `AWATCH__ID` The feature id for the 'ID' attribute.
`static int` `AWATCH__LABEL` The feature id for the 'Label' attribute.
`static int` `AWATCH__REFERENCE` The feature id for the 'Reference' reference.
`static int` `AWATCH__ROOT_SELECTED` The feature id for the 'Root Selected' reference.
`static int` `AWATCH__SELECTED` The feature id for the 'Selected' reference.
`static int` `AWATCH__SOURCES` The feature id for the 'Sources' reference list.
`static int` `AWATCH__SPACE` The feature id for the 'Space' reference.
`static int` `AWATCH__TARGETS` The feature id for the 'Targets' reference list.
`static int` `AWATCH_FEATURE_COUNT` The number of structural features of the 'AWatch' class.
`static MetaABMActPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.

Method Summary
`org.eclipse.emf.ecore.EReference` `getAAccessor_Attribute()` Returns the meta object for the reference '`Attribute`'.
`org.eclipse.emf.ecore.EClass` `getAAccessor()` Returns the meta object for class '`AAccessor`'.
`org.eclipse.emf.ecore.EReference` `getAAct_AllSources()` Returns the meta object for the reference list '`All Sources`'.
`org.eclipse.emf.ecore.EReference` `getAAct_AllTargets()` Returns the meta object for the reference list '`All Targets`'.
`org.eclipse.emf.ecore.EReference` `getAAct_Group()` Returns the meta object for the container reference ' `Group`'.
`org.eclipse.emf.ecore.EReference` `getAAct_Reference()` Returns the meta object for the reference ' `Reference`'.
`org.eclipse.emf.ecore.EReference` `getAAct_RootSelected()` Returns the meta object for the reference '`Root Selected`'.
`org.eclipse.emf.ecore.EReference` `getAAct_Selected()` Returns the meta object for the reference ' `Selected`'.
`org.eclipse.emf.ecore.EReference` `getAAct_Sources()` Returns the meta object for the reference list ' `Sources`'.
`org.eclipse.emf.ecore.EReference` `getAAct_Targets()` Returns the meta object for the reference list ' `Targets`'.
`org.eclipse.emf.ecore.EClass` `getAAct()` Returns the meta object for class '`AAct`'.
`org.eclipse.emf.ecore.EClass` `getAAll()` Returns the meta object for class '`AAll`'.
`org.eclipse.emf.ecore.EClass` `getAAny()` Returns the meta object for class '`AAny`'.
`org.eclipse.emf.ecore.EClass` `getABuild()` Returns the meta object for class '`ABuild`'.
`org.eclipse.emf.ecore.EClass` `getABuildGeography()` Returns the meta object for class ' `ABuild Geography`'.
`org.eclipse.emf.ecore.EReference` `getABuildGrid_FillAgent()` Returns the meta object for the reference '`Fill Agent`'.
`org.eclipse.emf.ecore.EClass` `getABuildGrid()` Returns the meta object for class '`ABuild Grid`'.
`org.eclipse.emf.ecore.EAttribute` `getABuildNetwork_NetworkType()` Returns the meta object for the attribute '`Network Type`'.
`org.eclipse.emf.ecore.EClass` `getABuildNetwork()` Returns the meta object for class '`ABuild Network`'.
`org.eclipse.emf.ecore.EEnum` `getABuildNetworkTypes()` Returns the meta object for enum '`ABuild Network Types`'.
`org.eclipse.emf.ecore.EReference` `getABuildProjection_Agents()` Returns the meta object for the reference list '`Agents`'.
`org.eclipse.emf.ecore.EReference` `getABuildProjection_Attributes()` Returns the meta object for the reference list '`Attributes`'.
`org.eclipse.emf.ecore.EReference` `getABuildProjection_Projection()` Returns the meta object for the reference '`Projection`'.
`org.eclipse.emf.ecore.EClass` `getABuildProjection()` Returns the meta object for class '`ABuild Projection`'.
`org.eclipse.emf.ecore.EAttribute` `getABuildSpace_SpaceType()` Returns the meta object for the attribute '`Space Type`'.
`org.eclipse.emf.ecore.EClass` `getABuildSpace()` Returns the meta object for class '`ABuild Space`'.
`org.eclipse.emf.ecore.EEnum` `getABuildSpaceTypes()` Returns the meta object for enum '`ABuild Space Types`'.
`org.eclipse.emf.ecore.EReference` `getACause_Result()` Returns the meta object for the reference '`Result`'.
`org.eclipse.emf.ecore.EClass` `getACause()` Returns the meta object for class '`ACause`'.
`org.eclipse.emf.ecore.EClass` `getACommand()` Returns the meta object for class '`ACommand`'.
`org.eclipse.emf.ecore.EAttribute` `getAConnect_Directed()` Returns the meta object for the attribute ' `Directed`'.
`org.eclipse.emf.ecore.EClass` `getAConnect()` Returns the meta object for class '`AConnect`'.
`org.eclipse.emf.ecore.EClass` `getAControl()` Returns the meta object for class '`AControl`'.
`org.eclipse.emf.ecore.EReference` `getACreateAgents_AgentCount()` Returns the meta object for the reference '`Agent Count`'.
`org.eclipse.emf.ecore.EClass` `getACreateAgents()` Returns the meta object for class '`ACreate Agents`'.
`org.eclipse.emf.ecore.EClass` `getACreateShapedAgents()` Returns the meta object for class '`ACreate Shaped Agents`'.
`org.eclipse.emf.ecore.EClass` `getADerive()` Returns the meta object for class '`ADerive`'.
`org.eclipse.emf.ecore.EClass` `getADie()` Returns the meta object for class '`ADie`'.
`org.eclipse.emf.ecore.EReference` `getADiffuse_Diffused()` Returns the meta object for the reference ' `Diffused`'.
`org.eclipse.emf.ecore.EReference` `getADiffuse_DiffusionRate()` Returns the meta object for the reference '`Diffusion Rate`'.
`org.eclipse.emf.ecore.EReference` `getADiffuse_EvaporationRate()` Returns the meta object for the reference '`Evaporation Rate`'.
`org.eclipse.emf.ecore.EClass` `getADiffuse()` Returns the meta object for class '`ADiffuse`'.
`org.eclipse.emf.ecore.EClass` `getADisconnect()` Returns the meta object for class '`ADisconnect`'.
`org.eclipse.emf.ecore.EClass` `getAEvaluate()` Returns the meta object for class '`AEvaluate`'.
`org.eclipse.emf.ecore.EReference` `getAGroup_Members()` Returns the meta object for the containment reference list '`Members`'.
`org.eclipse.emf.ecore.EReference` `getAGroup_Roots()` Returns the meta object for the reference list ' `Roots`'.
`org.eclipse.emf.ecore.EClass` `getAGroup()` Returns the meta object for class '`AGroup`'.
`org.eclipse.emf.ecore.EClass` `getAInitialize()` Returns the meta object for class '`AInitialize`'.
`org.eclipse.emf.ecore.EReference` `getAInput_Literal()` Returns the meta object for the containment reference '`Literal`'.
`org.eclipse.emf.ecore.EReference` `getAInput_Selected()` Returns the meta object for the reference ' `Selected`'.
`org.eclipse.emf.ecore.EReference` `getAInput_Sink()` Returns the meta object for the container reference ' `Sink`'.
`org.eclipse.emf.ecore.EReference` `getAInput_Value()` Returns the meta object for the reference ' `Value`'.
`org.eclipse.emf.ecore.EClass` `getAInput()` Returns the meta object for class '`AInput`'.
`org.eclipse.emf.ecore.EClass` `getALeave()` Returns the meta object for class '`ALeave`'.
`org.eclipse.emf.ecore.EAttribute` `getALiteral_ValueLiteral()` Returns the meta object for the attribute '`Value Literal`'.
`org.eclipse.emf.ecore.EClass` `getALiteral()` Returns the meta object for class '`ALiteral`'.
`org.eclipse.emf.ecore.EAttribute` `getALoadAgents_SourceURL()` Returns the meta object for the attribute '`Source URL`'.
`org.eclipse.emf.ecore.EClass` `getALoadAgents()` Returns the meta object for class '`ALoad Agents`'.
`org.eclipse.emf.ecore.EClass` `getALoadShapedAgents()` Returns the meta object for class '`ALoad Shaped Agents`'.
`org.eclipse.emf.ecore.EClass` `getALogic()` Returns the meta object for class '`ALogic`'.
`org.eclipse.emf.ecore.EAttribute` `getAMethod_Body()` Returns the meta object for the attribute ' `Body`'.
`org.eclipse.emf.ecore.EAttribute` `getAMethod_Generate()` Returns the meta object for the attribute ' `Generate`'.
`org.eclipse.emf.ecore.EClass` `getAMethod()` Returns the meta object for class '`AMethod`'.
`org.eclipse.emf.ecore.EClass` `getAMove()` Returns the meta object for class '`AMove`'.
`org.eclipse.emf.ecore.EReference` `getAMultiValue_Values()` Returns the meta object for the reference list '`Values`'.
`org.eclipse.emf.ecore.EClass` `getAMultiValue()` Returns the meta object for class '`AMulti Value`'.
`org.eclipse.emf.ecore.EReference` `getANetwork_Within()` Returns the meta object for the reference ' `Within`'.
`org.eclipse.emf.ecore.EClass` `getANetwork()` Returns the meta object for class '`ANetwork`'.
`org.eclipse.emf.ecore.EClass` `getANone()` Returns the meta object for class '`ANone`'.
`org.eclipse.emf.ecore.EClass` `getAPerform()` Returns the meta object for class '`APerform`'.
`org.eclipse.emf.ecore.EClass` `getAQuery()` Returns the meta object for class '`AQuery`'.
`org.eclipse.emf.ecore.EClass` `getAReplace()` Returns the meta object for class '`AReplace`'.
`org.eclipse.emf.ecore.EClass` `getARoot()` Returns the meta object for class '`ARoot`'.
`org.eclipse.emf.ecore.EClass` `getARule()` Returns the meta object for class '`ARule`'.
`org.eclipse.emf.ecore.EAttribute` `getASchedule_Interval()` Returns the meta object for the attribute ' `Interval`'.
`org.eclipse.emf.ecore.EAttribute` `getASchedule_Pick()` Returns the meta object for the attribute ' `Pick`'.
`org.eclipse.emf.ecore.EAttribute` `getASchedule_Priority()` Returns the meta object for the attribute ' `Priority`'.
`org.eclipse.emf.ecore.EAttribute` `getASchedule_Start()` Returns the meta object for the attribute ' `Start`'.
`org.eclipse.emf.ecore.EClass` `getASchedule()` Returns the meta object for class '`ASchedule`'.
`org.eclipse.emf.ecore.EReference` `getASelect_Agent()` Returns the meta object for the reference ' `Agent`'.
`org.eclipse.emf.ecore.EAttribute` `getASelect_For()` Returns the meta object for the attribute '`For`'.
`org.eclipse.emf.ecore.EReference` `getASelect_Space()` Returns the meta object for the reference ' `Space`'.
`org.eclipse.emf.ecore.EClass` `getASelect()` Returns the meta object for class '`ASelect`'.
`org.eclipse.emf.ecore.EEnum` `getASelectTypes()` Returns the meta object for enum '`ASelect Types`'.
`org.eclipse.emf.ecore.EReference` `getASet_Parameter()` Returns the meta object for the reference ' `Parameter`'.
`org.eclipse.emf.ecore.EClass` `getASet()` Returns the meta object for class '`ASet`'.
`org.eclipse.emf.ecore.EAttribute` `getAShaped_Shape()` Returns the meta object for the attribute ' `Shape`'.
`org.eclipse.emf.ecore.EClass` `getAShaped()` Returns the meta object for class '`AShaped`'.
`org.eclipse.emf.ecore.EReference` `getASink_Function()` Returns the meta object for the reference ' `Function`'.
`org.eclipse.emf.ecore.EReference` `getASink_Inputs()` Returns the meta object for the containment reference list '`Inputs`'.
`org.eclipse.emf.ecore.EClass` `getASink()` Returns the meta object for class '`ASink`'.
`org.eclipse.emf.ecore.EReference` `getATransform_Destination()` Returns the meta object for the reference '`Destination`'.
`org.eclipse.emf.ecore.EClass` `getATransform()` Returns the meta object for class '`ATransform`'.
`org.eclipse.emf.ecore.EClass` `getAWatch()` Returns the meta object for class '`AWatch`'.
`MetaABMActFactory` `getMetaABMActFactory()` Returns the factory that creates the instances of the model.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final MetaABMActPackage eINSTANCE

  The singleton instance of the package.

### AACT

    static final int AACT

  The meta object id for the '`AAct`' class.

  See Also:
    `AActImpl`, `MetaABMActPackageImpl.getAAct()`, Constant Field Values

### ACONTROL

    static final int ACONTROL

  The meta object id for the '`AControl`' class.

  See Also:
    `AControl`, `MetaABMActPackageImpl.getAControl()`, Constant Field Values

### AROOT

    static final int AROOT

  The meta object id for the '`ARoot`' class.

  See Also:
    `ARoot`, `MetaABMActPackageImpl.getARoot()`, Constant Field Values

### AGROUP

    static final int AGROUP

  The meta object id for the '`AGroup`' class.

  See Also:
    `AGroupImpl`, `MetaABMActPackageImpl.getAGroup()`, Constant Field Values

### ASCHEDULE

    static final int ASCHEDULE

  The meta object id for the '`ASchedule`' class.

  See Also:
    `AScheduleImpl`, `MetaABMActPackageImpl.getASchedule()`, Constant Field Values

### ABUILD

    static final int ABUILD

  The meta object id for the '`ABuild`' class.

  See Also:
    `ABuildImpl`, `MetaABMActPackageImpl.getABuild()`, Constant Field Values

### AINITIALIZE

    static final int AINITIALIZE

  The meta object id for the '`AInitialize`' class.

  See Also:
    `AInitializeImpl`, `MetaABMActPackageImpl.getAInitialize()`, Constant Field Values

### ARULE

    static final int ARULE

  The meta object id for the '`ARule`' class.

  See Also:
    `ARuleImpl`, `MetaABMActPackageImpl.getARule()`, Constant Field Values

### AMETHOD

    static final int AMETHOD

  The meta object id for the '`AMethod`' class.

  See Also:
    `AMethodImpl`, `MetaABMActPackageImpl.getAMethod()`, Constant Field Values

### ASINK

    static final int ASINK

  The meta object id for the '`ASink`' class.

  See Also:
    `ASinkImpl`, `MetaABMActPackageImpl.getASink()`, Constant Field Values

### ALOGIC

    static final int ALOGIC

  The meta object id for the '`ALogic`' class.

  See Also:
    `ALogic`, `MetaABMActPackageImpl.getALogic()`, Constant Field Values

### AANY

    static final int AANY

  The meta object id for the '`AAny`' class.

  See Also:
    `AAnyImpl`, `MetaABMActPackageImpl.getAAny()`, Constant Field Values

### AALL

    static final int AALL

  The meta object id for the '`AAll`' class.

  See Also:
    `AAllImpl`, `MetaABMActPackageImpl.getAAll()`, Constant Field Values

### ANONE

    static final int ANONE

  The meta object id for the '`ANone`' class.

  See Also:
    `ANoneImpl`, `MetaABMActPackageImpl.getANone()`, Constant Field Values

### AQUERY

    static final int AQUERY

  The meta object id for the '`AQuery`' class.

  See Also:
    `AQueryImpl`, `MetaABMActPackageImpl.getAQuery()`, Constant Field Values

### AEVALUATE

    static final int AEVALUATE

  The meta object id for the '`AEvaluate`' class.

  See Also:
    `AEvaluateImpl`, `MetaABMActPackageImpl.getAEvaluate()`, Constant Field Values

### AACCESSOR

    static final int AACCESSOR

  The meta object id for the '`AAccessor`' class.

  See Also:
    `AAccessorImpl`, `MetaABMActPackageImpl.getAAccessor()`, Constant Field Values

### AWATCH

    static final int AWATCH

  The meta object id for the '`AWatch`' class.

  See Also:
    `AWatchImpl`, `MetaABMActPackageImpl.getAWatch()`, Constant Field Values

### ASET

    static final int ASET

  The meta object id for the '`ASet`' class.

  See Also:
    `ASetImpl`, `MetaABMActPackageImpl.getASet()`, Constant Field Values

### ACREATE_AGENTS

    static final int ACREATE_AGENTS

  The meta object id for the '`ACreate Agents`' class.

  See Also:
    `ACreateAgentsImpl`, `MetaABMActPackageImpl.getACreateAgents()`, Constant Field Values

### ABUILD_PROJECTION

    static final int ABUILD_PROJECTION

  The meta object id for the '`ABuild Projection`' class.

  See Also:
    `ABuildProjectionImpl`, `MetaABMActPackageImpl.getABuildProjection()`, Constant Field Values

### ABUILD_NETWORK

    static final int ABUILD_NETWORK

  The meta object id for the '`ABuild Network`' class.

  See Also:
    `ABuildNetworkImpl`, `MetaABMActPackageImpl.getABuildNetwork()`, Constant Field Values

### ABUILD_SPACE

    static final int ABUILD_SPACE

  The meta object id for the '`ABuild Space`' class.

  See Also:
    `ABuildSpaceImpl`, `MetaABMActPackageImpl.getABuildSpace()`, Constant Field Values

### ABUILD_GRID

    static final int ABUILD_GRID

  The meta object id for the '`ABuild Grid`' class.

  See Also:
    `ABuildGridImpl`, `MetaABMActPackageImpl.getABuildGrid()`, Constant Field Values

### ASELECT

    static final int ASELECT

  The meta object id for the '`ASelect`' class.

  See Also:
    `ASelectImpl`, `MetaABMActPackageImpl.getASelect()`, Constant Field Values

### ATRANSFORM

    static final int ATRANSFORM

  The meta object id for the '`ATransform`' class.

  See Also:
    `ATransformImpl`, `MetaABMActPackageImpl.getATransform()`, Constant Field Values

### AMOVE

    static final int AMOVE

  The meta object id for the '`AMove`' class.

  See Also:
    `AMoveImpl`, `MetaABMActPackageImpl.getAMove()`, Constant Field Values

### AINPUT

    static final int AINPUT

  The meta object id for the '`AInput`' class.

  See Also:
    `AInputImpl`, `MetaABMActPackageImpl.getAInput()`, Constant Field Values

### AINPUT__SINK

    static final int AINPUT__SINK

  The feature id for the 'Sink' container reference.

  See Also:
    Constant Field Values

### AINPUT__SELECTED

    static final int AINPUT__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### AINPUT__LITERAL

    static final int AINPUT__LITERAL

  The feature id for the 'Literal' containment reference.

  See Also:
    Constant Field Values

### AINPUT__VALUE

    static final int AINPUT__VALUE

  The feature id for the 'Value' reference.

  See Also:
    Constant Field Values

### AINPUT_FEATURE_COUNT

    static final int AINPUT_FEATURE_COUNT

  The number of structural features of the 'AInput' class.

  See Also:
    Constant Field Values

### ALITERAL

    static final int ALITERAL

  The meta object id for the '`ALiteral`' class.

  See Also:
    `ALiteralImpl`, `MetaABMActPackageImpl.getALiteral()`, Constant Field Values

### ALITERAL__LABEL

    static final int ALITERAL__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ALITERAL__ID

    static final int ALITERAL__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ALITERAL__ACCESSORS

    static final int ALITERAL__ACCESSORS

  The feature id for the 'Accessors' reference list.

  See Also:
    Constant Field Values

### ALITERAL__AVAILABLE_TYPES

    static final int ALITERAL__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### ALITERAL__VALUE_LITERAL

    static final int ALITERAL__VALUE_LITERAL

  The feature id for the 'Value Literal' attribute.

  See Also:
    Constant Field Values

### ALITERAL_FEATURE_COUNT

    static final int ALITERAL_FEATURE_COUNT

  The number of structural features of the 'ALiteral' class.

  See Also:
    Constant Field Values

### AMULTI_VALUE

    static final int AMULTI_VALUE

  The meta object id for the '`AMulti Value`' class.

  See Also:
    `AMultiValueImpl`, `MetaABMActPackageImpl.getAMultiValue()`, Constant Field Values

### AMULTI_VALUE__LABEL

    static final int AMULTI_VALUE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### AMULTI_VALUE__ID

    static final int AMULTI_VALUE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### AMULTI_VALUE__ACCESSORS

    static final int AMULTI_VALUE__ACCESSORS

  The feature id for the 'Accessors' reference list.

  See Also:
    Constant Field Values

### AMULTI_VALUE__AVAILABLE_TYPES

    static final int AMULTI_VALUE__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### AMULTI_VALUE__VALUE_LITERAL

    static final int AMULTI_VALUE__VALUE_LITERAL

  The feature id for the 'Value Literal' attribute.

  See Also:
    Constant Field Values

### AMULTI_VALUE__VALUES

    static final int AMULTI_VALUE__VALUES

  The feature id for the 'Values' reference list.

  See Also:
    Constant Field Values

### AMULTI_VALUE_FEATURE_COUNT

    static final int AMULTI_VALUE_FEATURE_COUNT

  The number of structural features of the 'AMulti Value' class.

  See Also:
    Constant Field Values

### ACOMMAND

    static final int ACOMMAND

  The meta object id for the '`ACommand`' class.

  See Also:
    `ACommandImpl`, `MetaABMActPackageImpl.getACommand()`, Constant Field Values

### ABUILD_GEOGRAPHY

    static final int ABUILD_GEOGRAPHY

  The meta object id for the '`ABuild Geography`' class.

  See Also:
    `ABuildGeographyImpl`, `MetaABMActPackageImpl.getABuildGeography()`, Constant Field Values

### ALEAVE

    static final int ALEAVE

  The meta object id for the '`ALeave`' class.

  See Also:
    `ALeaveImpl`, `MetaABMActPackageImpl.getALeave()`, Constant Field Values

### ADIE

    static final int ADIE

  The meta object id for the '`ADie`' class.

  See Also:
    `ADieImpl`, `MetaABMActPackageImpl.getADie()`, Constant Field Values

### ANETWORK

    static final int ANETWORK

  The meta object id for the '`ANetwork`' class.

  See Also:
    `ANetworkImpl`, `MetaABMActPackageImpl.getANetwork()`, Constant Field Values

### ACONNECT

    static final int ACONNECT

  The meta object id for the '`AConnect`' class.

  See Also:
    `AConnectImpl`, `MetaABMActPackageImpl.getAConnect()`, Constant Field Values

### ADISCONNECT

    static final int ADISCONNECT

  The meta object id for the '`ADisconnect`' class.

  See Also:
    `ADisconnectImpl`, `MetaABMActPackageImpl.getADisconnect()`, Constant Field Values

### AREPLACE

    static final int AREPLACE

  The meta object id for the '`AReplace`' class.

  See Also:
    `AReplaceImpl`, `MetaABMActPackageImpl.getAReplace()`, Constant Field Values

### ALOAD_AGENTS

    static final int ALOAD_AGENTS

  The meta object id for the '`ALoad Agents`' class.

  See Also:
    `ALoadAgentsImpl`, `MetaABMActPackageImpl.getALoadAgents()`, Constant Field Values

### ASHAPED

    static final int ASHAPED

  The meta object id for the '`AShaped`' class.

  See Also:
    `AShapedImpl`, `MetaABMActPackageImpl.getAShaped()`, Constant Field Values

### ASHAPED__SHAPE

    static final int ASHAPED__SHAPE

  The feature id for the 'Shape' attribute.

  See Also:
    Constant Field Values

### ASHAPED_FEATURE_COUNT

    static final int ASHAPED_FEATURE_COUNT

  The number of structural features of the 'AShaped' class.

  See Also:
    Constant Field Values

### AACT__LABEL

    static final int AACT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### AACT__ID

    static final int AACT__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### AACT__SOURCES

    static final int AACT__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### AACT__TARGETS

    static final int AACT__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### AACT__REFERENCE

    static final int AACT__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### AACT__GROUP

    static final int AACT__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### AACT__SELECTED

    static final int AACT__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### AACT__ALL_SOURCES

    static final int AACT__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### AACT__ALL_TARGETS

    static final int AACT__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### AACT__ROOT_SELECTED

    static final int AACT__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### AACT_FEATURE_COUNT

    static final int AACT_FEATURE_COUNT

  The number of structural features of the 'AAct' class.

  See Also:
    Constant Field Values

### ACONTROL__LABEL

    static final int ACONTROL__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ACONTROL__ID

    static final int ACONTROL__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ACONTROL__SOURCES

    static final int ACONTROL__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ACONTROL__TARGETS

    static final int ACONTROL__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ACONTROL__REFERENCE

    static final int ACONTROL__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ACONTROL__GROUP

    static final int ACONTROL__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ACONTROL__SELECTED

    static final int ACONTROL__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ACONTROL__ALL_SOURCES

    static final int ACONTROL__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ACONTROL__ALL_TARGETS

    static final int ACONTROL__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ACONTROL__ROOT_SELECTED

    static final int ACONTROL__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ACONTROL_FEATURE_COUNT

    static final int ACONTROL_FEATURE_COUNT

  The number of structural features of the 'AControl' class.

  See Also:
    Constant Field Values

### ASELECT__LABEL

    static final int ASELECT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ASELECT__ID

    static final int ASELECT__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ASELECT__SOURCES

    static final int ASELECT__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ASELECT__TARGETS

    static final int ASELECT__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ASELECT__REFERENCE

    static final int ASELECT__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ASELECT__GROUP

    static final int ASELECT__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ASELECT__SELECTED

    static final int ASELECT__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ASELECT__ALL_SOURCES

    static final int ASELECT__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ASELECT__ALL_TARGETS

    static final int ASELECT__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ASELECT__ROOT_SELECTED

    static final int ASELECT__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ASELECT__AGENT

    static final int ASELECT__AGENT

  The feature id for the 'Agent' reference.

  See Also:
    Constant Field Values

### ASELECT__SPACE

    static final int ASELECT__SPACE

  The feature id for the 'Space' reference.

  See Also:
    Constant Field Values

### ASELECT__FOR

    static final int ASELECT__FOR

  The feature id for the 'For' attribute.

  See Also:
    Constant Field Values

### ASELECT_FEATURE_COUNT

    static final int ASELECT_FEATURE_COUNT

  The number of structural features of the 'ASelect' class.

  See Also:
    Constant Field Values

### AROOT__LABEL

    static final int AROOT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### AROOT__ID

    static final int AROOT__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### AROOT__SOURCES

    static final int AROOT__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### AROOT__TARGETS

    static final int AROOT__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### AROOT__REFERENCE

    static final int AROOT__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### AROOT__GROUP

    static final int AROOT__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### AROOT__SELECTED

    static final int AROOT__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### AROOT__ALL_SOURCES

    static final int AROOT__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### AROOT__ALL_TARGETS

    static final int AROOT__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### AROOT__ROOT_SELECTED

    static final int AROOT__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### AROOT__AGENT

    static final int AROOT__AGENT

  The feature id for the 'Agent' reference.

  See Also:
    Constant Field Values

### AROOT__SPACE

    static final int AROOT__SPACE

  The feature id for the 'Space' reference.

  See Also:
    Constant Field Values

### AROOT__FOR

    static final int AROOT__FOR

  The feature id for the 'For' attribute.

  See Also:
    Constant Field Values

### AROOT_FEATURE_COUNT

    static final int AROOT_FEATURE_COUNT

  The number of structural features of the 'ARoot' class.

  See Also:
    Constant Field Values

### AGROUP__LABEL

    static final int AGROUP__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### AGROUP__ID

    static final int AGROUP__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### AGROUP__SOURCES

    static final int AGROUP__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### AGROUP__TARGETS

    static final int AGROUP__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### AGROUP__REFERENCE

    static final int AGROUP__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### AGROUP__GROUP

    static final int AGROUP__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### AGROUP__SELECTED

    static final int AGROUP__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### AGROUP__ALL_SOURCES

    static final int AGROUP__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### AGROUP__ALL_TARGETS

    static final int AGROUP__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### AGROUP__ROOT_SELECTED

    static final int AGROUP__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### AGROUP__PLURAL_LABEL

    static final int AGROUP__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### AGROUP__DESCRIPTION

    static final int AGROUP__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### AGROUP__ROOTS

    static final int AGROUP__ROOTS

  The feature id for the 'Roots' reference list.

  See Also:
    Constant Field Values

### AGROUP__MEMBERS

    static final int AGROUP__MEMBERS

  The feature id for the 'Members' containment reference list.

  See Also:
    Constant Field Values

### AGROUP_FEATURE_COUNT

    static final int AGROUP_FEATURE_COUNT

  The number of structural features of the 'AGroup' class.

  See Also:
    Constant Field Values

### ASCHEDULE__LABEL

    static final int ASCHEDULE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ASCHEDULE__ID

    static final int ASCHEDULE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ASCHEDULE__SOURCES

    static final int ASCHEDULE__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ASCHEDULE__TARGETS

    static final int ASCHEDULE__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ASCHEDULE__REFERENCE

    static final int ASCHEDULE__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ASCHEDULE__GROUP

    static final int ASCHEDULE__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ASCHEDULE__SELECTED

    static final int ASCHEDULE__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ASCHEDULE__ALL_SOURCES

    static final int ASCHEDULE__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ASCHEDULE__ALL_TARGETS

    static final int ASCHEDULE__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ASCHEDULE__ROOT_SELECTED

    static final int ASCHEDULE__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ASCHEDULE__AGENT

    static final int ASCHEDULE__AGENT

  The feature id for the 'Agent' reference.

  See Also:
    Constant Field Values

### ASCHEDULE__SPACE

    static final int ASCHEDULE__SPACE

  The feature id for the 'Space' reference.

  See Also:
    Constant Field Values

### ASCHEDULE__FOR

    static final int ASCHEDULE__FOR

  The feature id for the 'For' attribute.

  See Also:
    Constant Field Values

### ASCHEDULE__PLURAL_LABEL

    static final int ASCHEDULE__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### ASCHEDULE__DESCRIPTION

    static final int ASCHEDULE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### ASCHEDULE__START

    static final int ASCHEDULE__START

  The feature id for the 'Start' attribute.

  See Also:
    Constant Field Values

### ASCHEDULE__INTERVAL

    static final int ASCHEDULE__INTERVAL

  The feature id for the 'Interval' attribute.

  See Also:
    Constant Field Values

### ASCHEDULE__PRIORITY

    static final int ASCHEDULE__PRIORITY

  The feature id for the 'Priority' attribute.

  See Also:
    Constant Field Values

### ASCHEDULE__PICK

    static final int ASCHEDULE__PICK

  The feature id for the 'Pick' attribute.

  See Also:
    Constant Field Values

### ASCHEDULE_FEATURE_COUNT

    static final int ASCHEDULE_FEATURE_COUNT

  The number of structural features of the 'ASchedule' class.

  See Also:
    Constant Field Values

### ARULE__LABEL

    static final int ARULE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ARULE__ID

    static final int ARULE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ARULE__SOURCES

    static final int ARULE__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ARULE__TARGETS

    static final int ARULE__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ARULE__REFERENCE

    static final int ARULE__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ARULE__GROUP

    static final int ARULE__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ARULE__SELECTED

    static final int ARULE__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ARULE__ALL_SOURCES

    static final int ARULE__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ARULE__ALL_TARGETS

    static final int ARULE__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ARULE__ROOT_SELECTED

    static final int ARULE__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ARULE__AGENT

    static final int ARULE__AGENT

  The feature id for the 'Agent' reference.

  See Also:
    Constant Field Values

### ARULE__SPACE

    static final int ARULE__SPACE

  The feature id for the 'Space' reference.

  See Also:
    Constant Field Values

### ARULE__FOR

    static final int ARULE__FOR

  The feature id for the 'For' attribute.

  See Also:
    Constant Field Values

### ARULE__PLURAL_LABEL

    static final int ARULE__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### ARULE__DESCRIPTION

    static final int ARULE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### ARULE_FEATURE_COUNT

    static final int ARULE_FEATURE_COUNT

  The number of structural features of the 'ARule' class.

  See Also:
    Constant Field Values

### ABUILD__LABEL

    static final int ABUILD__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ABUILD__ID

    static final int ABUILD__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ABUILD__SOURCES

    static final int ABUILD__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ABUILD__TARGETS

    static final int ABUILD__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ABUILD__REFERENCE

    static final int ABUILD__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ABUILD__GROUP

    static final int ABUILD__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ABUILD__SELECTED

    static final int ABUILD__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ABUILD__ALL_SOURCES

    static final int ABUILD__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ABUILD__ALL_TARGETS

    static final int ABUILD__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ABUILD__ROOT_SELECTED

    static final int ABUILD__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ABUILD__AGENT

    static final int ABUILD__AGENT

  The feature id for the 'Agent' reference.

  See Also:
    Constant Field Values

### ABUILD__SPACE

    static final int ABUILD__SPACE

  The feature id for the 'Space' reference.

  See Also:
    Constant Field Values

### ABUILD__FOR

    static final int ABUILD__FOR

  The feature id for the 'For' attribute.

  See Also:
    Constant Field Values

### ABUILD__PLURAL_LABEL

    static final int ABUILD__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### ABUILD__DESCRIPTION

    static final int ABUILD__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### ABUILD_FEATURE_COUNT

    static final int ABUILD_FEATURE_COUNT

  The number of structural features of the 'ABuild' class.

  See Also:
    Constant Field Values

### AINITIALIZE__LABEL

    static final int AINITIALIZE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### AINITIALIZE__ID

    static final int AINITIALIZE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### AINITIALIZE__SOURCES

    static final int AINITIALIZE__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### AINITIALIZE__TARGETS

    static final int AINITIALIZE__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### AINITIALIZE__REFERENCE

    static final int AINITIALIZE__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### AINITIALIZE__GROUP

    static final int AINITIALIZE__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### AINITIALIZE__SELECTED

    static final int AINITIALIZE__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### AINITIALIZE__ALL_SOURCES

    static final int AINITIALIZE__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### AINITIALIZE__ALL_TARGETS

    static final int AINITIALIZE__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### AINITIALIZE__ROOT_SELECTED

    static final int AINITIALIZE__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### AINITIALIZE__AGENT

    static final int AINITIALIZE__AGENT

  The feature id for the 'Agent' reference.

  See Also:
    Constant Field Values

### AINITIALIZE__SPACE

    static final int AINITIALIZE__SPACE

  The feature id for the 'Space' reference.

  See Also:
    Constant Field Values

### AINITIALIZE__FOR

    static final int AINITIALIZE__FOR

  The feature id for the 'For' attribute.

  See Also:
    Constant Field Values

### AINITIALIZE__PLURAL_LABEL

    static final int AINITIALIZE__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### AINITIALIZE__DESCRIPTION

    static final int AINITIALIZE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### AINITIALIZE_FEATURE_COUNT

    static final int AINITIALIZE_FEATURE_COUNT

  The number of structural features of the 'AInitialize' class.

  See Also:
    Constant Field Values

### AMETHOD__LABEL

    static final int AMETHOD__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### AMETHOD__ID

    static final int AMETHOD__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### AMETHOD__SOURCES

    static final int AMETHOD__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### AMETHOD__TARGETS

    static final int AMETHOD__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### AMETHOD__REFERENCE

    static final int AMETHOD__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### AMETHOD__GROUP

    static final int AMETHOD__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### AMETHOD__SELECTED

    static final int AMETHOD__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### AMETHOD__ALL_SOURCES

    static final int AMETHOD__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### AMETHOD__ALL_TARGETS

    static final int AMETHOD__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### AMETHOD__ROOT_SELECTED

    static final int AMETHOD__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### AMETHOD__PLURAL_LABEL

    static final int AMETHOD__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### AMETHOD__DESCRIPTION

    static final int AMETHOD__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### AMETHOD__BODY

    static final int AMETHOD__BODY

  The feature id for the 'Body' attribute.

  See Also:
    Constant Field Values

### AMETHOD__GENERATE

    static final int AMETHOD__GENERATE

  The feature id for the 'Generate' attribute.

  See Also:
    Constant Field Values

### AMETHOD_FEATURE_COUNT

    static final int AMETHOD_FEATURE_COUNT

  The number of structural features of the 'AMethod' class.

  See Also:
    Constant Field Values

### ASINK__LABEL

    static final int ASINK__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ASINK__ID

    static final int ASINK__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ASINK__SOURCES

    static final int ASINK__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ASINK__TARGETS

    static final int ASINK__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ASINK__REFERENCE

    static final int ASINK__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ASINK__GROUP

    static final int ASINK__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ASINK__SELECTED

    static final int ASINK__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ASINK__ALL_SOURCES

    static final int ASINK__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ASINK__ALL_TARGETS

    static final int ASINK__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ASINK__ROOT_SELECTED

    static final int ASINK__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ASINK__ACCESSORS

    static final int ASINK__ACCESSORS

  The feature id for the 'Accessors' reference list.

  See Also:
    Constant Field Values

### ASINK__AVAILABLE_TYPES

    static final int ASINK__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### ASINK__INPUTS

    static final int ASINK__INPUTS

  The feature id for the 'Inputs' containment reference list.

  See Also:
    Constant Field Values

### ASINK__FUNCTION

    static final int ASINK__FUNCTION

  The feature id for the 'Function' reference.

  See Also:
    Constant Field Values

### ASINK_FEATURE_COUNT

    static final int ASINK_FEATURE_COUNT

  The number of structural features of the 'ASink' class.

  See Also:
    Constant Field Values

### ALOGIC__LABEL

    static final int ALOGIC__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ALOGIC__ID

    static final int ALOGIC__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ALOGIC__SOURCES

    static final int ALOGIC__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ALOGIC__TARGETS

    static final int ALOGIC__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ALOGIC__REFERENCE

    static final int ALOGIC__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ALOGIC__GROUP

    static final int ALOGIC__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ALOGIC__SELECTED

    static final int ALOGIC__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ALOGIC__ALL_SOURCES

    static final int ALOGIC__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ALOGIC__ALL_TARGETS

    static final int ALOGIC__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ALOGIC__ROOT_SELECTED

    static final int ALOGIC__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ALOGIC_FEATURE_COUNT

    static final int ALOGIC_FEATURE_COUNT

  The number of structural features of the 'ALogic' class.

  See Also:
    Constant Field Values

### AANY__LABEL

    static final int AANY__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### AANY__ID

    static final int AANY__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### AANY__SOURCES

    static final int AANY__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### AANY__TARGETS

    static final int AANY__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### AANY__REFERENCE

    static final int AANY__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### AANY__GROUP

    static final int AANY__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### AANY__SELECTED

    static final int AANY__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### AANY__ALL_SOURCES

    static final int AANY__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### AANY__ALL_TARGETS

    static final int AANY__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### AANY__ROOT_SELECTED

    static final int AANY__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### AANY_FEATURE_COUNT

    static final int AANY_FEATURE_COUNT

  The number of structural features of the 'AAny' class.

  See Also:
    Constant Field Values

### AALL__LABEL

    static final int AALL__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### AALL__ID

    static final int AALL__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### AALL__SOURCES

    static final int AALL__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### AALL__TARGETS

    static final int AALL__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### AALL__REFERENCE

    static final int AALL__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### AALL__GROUP

    static final int AALL__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### AALL__SELECTED

    static final int AALL__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### AALL__ALL_SOURCES

    static final int AALL__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### AALL__ALL_TARGETS

    static final int AALL__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### AALL__ROOT_SELECTED

    static final int AALL__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### AALL_FEATURE_COUNT

    static final int AALL_FEATURE_COUNT

  The number of structural features of the 'AAll' class.

  See Also:
    Constant Field Values

### ANONE__LABEL

    static final int ANONE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ANONE__ID

    static final int ANONE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ANONE__SOURCES

    static final int ANONE__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ANONE__TARGETS

    static final int ANONE__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ANONE__REFERENCE

    static final int ANONE__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ANONE__GROUP

    static final int ANONE__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ANONE__SELECTED

    static final int ANONE__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ANONE__ALL_SOURCES

    static final int ANONE__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ANONE__ALL_TARGETS

    static final int ANONE__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ANONE__ROOT_SELECTED

    static final int ANONE__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ANONE_FEATURE_COUNT

    static final int ANONE_FEATURE_COUNT

  The number of structural features of the 'ANone' class.

  See Also:
    Constant Field Values

### AQUERY__LABEL

    static final int AQUERY__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### AQUERY__ID

    static final int AQUERY__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### AQUERY__SOURCES

    static final int AQUERY__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### AQUERY__TARGETS

    static final int AQUERY__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### AQUERY__REFERENCE

    static final int AQUERY__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### AQUERY__GROUP

    static final int AQUERY__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### AQUERY__SELECTED

    static final int AQUERY__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### AQUERY__ALL_SOURCES

    static final int AQUERY__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### AQUERY__ALL_TARGETS

    static final int AQUERY__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### AQUERY__ROOT_SELECTED

    static final int AQUERY__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### AQUERY__ACCESSORS

    static final int AQUERY__ACCESSORS

  The feature id for the 'Accessors' reference list.

  See Also:
    Constant Field Values

### AQUERY__AVAILABLE_TYPES

    static final int AQUERY__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### AQUERY__INPUTS

    static final int AQUERY__INPUTS

  The feature id for the 'Inputs' containment reference list.

  See Also:
    Constant Field Values

### AQUERY__FUNCTION

    static final int AQUERY__FUNCTION

  The feature id for the 'Function' reference.

  See Also:
    Constant Field Values

### AQUERY_FEATURE_COUNT

    static final int AQUERY_FEATURE_COUNT

  The number of structural features of the 'AQuery' class.

  See Also:
    Constant Field Values

### AEVALUATE__LABEL

    static final int AEVALUATE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### AEVALUATE__ID

    static final int AEVALUATE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### AEVALUATE__SOURCES

    static final int AEVALUATE__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### AEVALUATE__TARGETS

    static final int AEVALUATE__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### AEVALUATE__REFERENCE

    static final int AEVALUATE__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### AEVALUATE__GROUP

    static final int AEVALUATE__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### AEVALUATE__SELECTED

    static final int AEVALUATE__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### AEVALUATE__ALL_SOURCES

    static final int AEVALUATE__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### AEVALUATE__ALL_TARGETS

    static final int AEVALUATE__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### AEVALUATE__ROOT_SELECTED

    static final int AEVALUATE__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### AEVALUATE__ACCESSORS

    static final int AEVALUATE__ACCESSORS

  The feature id for the 'Accessors' reference list.

  See Also:
    Constant Field Values

### AEVALUATE__AVAILABLE_TYPES

    static final int AEVALUATE__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### AEVALUATE__INPUTS

    static final int AEVALUATE__INPUTS

  The feature id for the 'Inputs' containment reference list.

  See Also:
    Constant Field Values

### AEVALUATE__FUNCTION

    static final int AEVALUATE__FUNCTION

  The feature id for the 'Function' reference.

  See Also:
    Constant Field Values

### AEVALUATE_FEATURE_COUNT

    static final int AEVALUATE_FEATURE_COUNT

  The number of structural features of the 'AEvaluate' class.

  See Also:
    Constant Field Values

### AACCESSOR__LABEL

    static final int AACCESSOR__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### AACCESSOR__ID

    static final int AACCESSOR__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### AACCESSOR__SOURCES

    static final int AACCESSOR__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### AACCESSOR__TARGETS

    static final int AACCESSOR__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### AACCESSOR__REFERENCE

    static final int AACCESSOR__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### AACCESSOR__GROUP

    static final int AACCESSOR__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### AACCESSOR__SELECTED

    static final int AACCESSOR__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### AACCESSOR__ALL_SOURCES

    static final int AACCESSOR__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### AACCESSOR__ALL_TARGETS

    static final int AACCESSOR__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### AACCESSOR__ROOT_SELECTED

    static final int AACCESSOR__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### AACCESSOR__ATTRIBUTE

    static final int AACCESSOR__ATTRIBUTE

  The feature id for the 'Attribute' reference.

  See Also:
    Constant Field Values

### AACCESSOR_FEATURE_COUNT

    static final int AACCESSOR_FEATURE_COUNT

  The number of structural features of the 'AAccessor' class.

  See Also:
    Constant Field Values

### AWATCH__LABEL

    static final int AWATCH__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### AWATCH__ID

    static final int AWATCH__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### AWATCH__SOURCES

    static final int AWATCH__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### AWATCH__TARGETS

    static final int AWATCH__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### AWATCH__REFERENCE

    static final int AWATCH__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### AWATCH__GROUP

    static final int AWATCH__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### AWATCH__SELECTED

    static final int AWATCH__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### AWATCH__ALL_SOURCES

    static final int AWATCH__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### AWATCH__ALL_TARGETS

    static final int AWATCH__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### AWATCH__ROOT_SELECTED

    static final int AWATCH__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### AWATCH__ATTRIBUTE

    static final int AWATCH__ATTRIBUTE

  The feature id for the 'Attribute' reference.

  See Also:
    Constant Field Values

### AWATCH__AGENT

    static final int AWATCH__AGENT

  The feature id for the 'Agent' reference.

  See Also:
    Constant Field Values

### AWATCH__SPACE

    static final int AWATCH__SPACE

  The feature id for the 'Space' reference.

  See Also:
    Constant Field Values

### AWATCH__FOR

    static final int AWATCH__FOR

  The feature id for the 'For' attribute.

  See Also:
    Constant Field Values

### AWATCH_FEATURE_COUNT

    static final int AWATCH_FEATURE_COUNT

  The number of structural features of the 'AWatch' class.

  See Also:
    Constant Field Values

### ASET__LABEL

    static final int ASET__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ASET__ID

    static final int ASET__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ASET__SOURCES

    static final int ASET__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ASET__TARGETS

    static final int ASET__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ASET__REFERENCE

    static final int ASET__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ASET__GROUP

    static final int ASET__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ASET__SELECTED

    static final int ASET__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ASET__ALL_SOURCES

    static final int ASET__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ASET__ALL_TARGETS

    static final int ASET__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ASET__ROOT_SELECTED

    static final int ASET__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ASET__ATTRIBUTE

    static final int ASET__ATTRIBUTE

  The feature id for the 'Attribute' reference.

  See Also:
    Constant Field Values

### ASET__PARAMETER

    static final int ASET__PARAMETER

  The feature id for the 'Parameter' reference.

  See Also:
    Constant Field Values

### ASET_FEATURE_COUNT

    static final int ASET_FEATURE_COUNT

  The number of structural features of the 'ASet' class.

  See Also:
    Constant Field Values

### ACREATE_AGENTS__LABEL

    static final int ACREATE_AGENTS__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ACREATE_AGENTS__ID

    static final int ACREATE_AGENTS__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ACREATE_AGENTS__SOURCES

    static final int ACREATE_AGENTS__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ACREATE_AGENTS__TARGETS

    static final int ACREATE_AGENTS__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ACREATE_AGENTS__REFERENCE

    static final int ACREATE_AGENTS__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ACREATE_AGENTS__GROUP

    static final int ACREATE_AGENTS__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ACREATE_AGENTS__SELECTED

    static final int ACREATE_AGENTS__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ACREATE_AGENTS__ALL_SOURCES

    static final int ACREATE_AGENTS__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ACREATE_AGENTS__ALL_TARGETS

    static final int ACREATE_AGENTS__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ACREATE_AGENTS__ROOT_SELECTED

    static final int ACREATE_AGENTS__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ACREATE_AGENTS__AGENT

    static final int ACREATE_AGENTS__AGENT

  The feature id for the 'Agent' reference.

  See Also:
    Constant Field Values

### ACREATE_AGENTS__SPACE

    static final int ACREATE_AGENTS__SPACE

  The feature id for the 'Space' reference.

  See Also:
    Constant Field Values

### ACREATE_AGENTS__FOR

    static final int ACREATE_AGENTS__FOR

  The feature id for the 'For' attribute.

  See Also:
    Constant Field Values

### ACREATE_AGENTS__AGENT_COUNT

    static final int ACREATE_AGENTS__AGENT_COUNT

  The feature id for the 'Agent Count' reference.

  See Also:
    Constant Field Values

### ACREATE_AGENTS_FEATURE_COUNT

    static final int ACREATE_AGENTS_FEATURE_COUNT

  The number of structural features of the 'ACreate Agents' class.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS

    static final int ALOAD_SHAPED_AGENTS

  The meta object id for the '`ALoad Shaped Agents`' class.

  See Also:
    `ALoadShapedAgentsImpl`, `MetaABMActPackageImpl.getALoadShapedAgents()`, Constant Field Values

### ACREATE_SHAPED_AGENTS

    static final int ACREATE_SHAPED_AGENTS

  The meta object id for the '`ACreate Shaped Agents`' class.

  See Also:
    `ACreateShapedAgentsImpl`, `MetaABMActPackageImpl.getACreateShapedAgents()`, Constant Field Values

### ACREATE_SHAPED_AGENTS__LABEL

    static final int ACREATE_SHAPED_AGENTS__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ACREATE_SHAPED_AGENTS__ID

    static final int ACREATE_SHAPED_AGENTS__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ACREATE_SHAPED_AGENTS__SOURCES

    static final int ACREATE_SHAPED_AGENTS__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ACREATE_SHAPED_AGENTS__TARGETS

    static final int ACREATE_SHAPED_AGENTS__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ACREATE_SHAPED_AGENTS__REFERENCE

    static final int ACREATE_SHAPED_AGENTS__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ACREATE_SHAPED_AGENTS__GROUP

    static final int ACREATE_SHAPED_AGENTS__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ACREATE_SHAPED_AGENTS__SELECTED

    static final int ACREATE_SHAPED_AGENTS__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ACREATE_SHAPED_AGENTS__ALL_SOURCES

    static final int ACREATE_SHAPED_AGENTS__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ACREATE_SHAPED_AGENTS__ALL_TARGETS

    static final int ACREATE_SHAPED_AGENTS__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ACREATE_SHAPED_AGENTS__ROOT_SELECTED

    static final int ACREATE_SHAPED_AGENTS__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ACREATE_SHAPED_AGENTS__AGENT

    static final int ACREATE_SHAPED_AGENTS__AGENT

  The feature id for the 'Agent' reference.

  See Also:
    Constant Field Values

### ACREATE_SHAPED_AGENTS__SPACE

    static final int ACREATE_SHAPED_AGENTS__SPACE

  The feature id for the 'Space' reference.

  See Also:
    Constant Field Values

### ACREATE_SHAPED_AGENTS__FOR

    static final int ACREATE_SHAPED_AGENTS__FOR

  The feature id for the 'For' attribute.

  See Also:
    Constant Field Values

### ACREATE_SHAPED_AGENTS__AGENT_COUNT

    static final int ACREATE_SHAPED_AGENTS__AGENT_COUNT

  The feature id for the 'Agent Count' reference.

  See Also:
    Constant Field Values

### ACREATE_SHAPED_AGENTS__SHAPE

    static final int ACREATE_SHAPED_AGENTS__SHAPE

  The feature id for the 'Shape' attribute.

  See Also:
    Constant Field Values

### ACREATE_SHAPED_AGENTS_FEATURE_COUNT

    static final int ACREATE_SHAPED_AGENTS_FEATURE_COUNT

  The number of structural features of the 'ACreate Shaped Agents' class.

  See Also:
    Constant Field Values

### ALOAD_AGENTS__LABEL

    static final int ALOAD_AGENTS__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ALOAD_AGENTS__ID

    static final int ALOAD_AGENTS__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ALOAD_AGENTS__SOURCES

    static final int ALOAD_AGENTS__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ALOAD_AGENTS__TARGETS

    static final int ALOAD_AGENTS__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ALOAD_AGENTS__REFERENCE

    static final int ALOAD_AGENTS__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ALOAD_AGENTS__GROUP

    static final int ALOAD_AGENTS__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ALOAD_AGENTS__SELECTED

    static final int ALOAD_AGENTS__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ALOAD_AGENTS__ALL_SOURCES

    static final int ALOAD_AGENTS__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ALOAD_AGENTS__ALL_TARGETS

    static final int ALOAD_AGENTS__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ALOAD_AGENTS__ROOT_SELECTED

    static final int ALOAD_AGENTS__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ALOAD_AGENTS__AGENT

    static final int ALOAD_AGENTS__AGENT

  The feature id for the 'Agent' reference.

  See Also:
    Constant Field Values

### ALOAD_AGENTS__SPACE

    static final int ALOAD_AGENTS__SPACE

  The feature id for the 'Space' reference.

  See Also:
    Constant Field Values

### ALOAD_AGENTS__FOR

    static final int ALOAD_AGENTS__FOR

  The feature id for the 'For' attribute.

  See Also:
    Constant Field Values

### ALOAD_AGENTS__AGENT_COUNT

    static final int ALOAD_AGENTS__AGENT_COUNT

  The feature id for the 'Agent Count' reference.

  See Also:
    Constant Field Values

### ALOAD_AGENTS__SOURCE_URL

    static final int ALOAD_AGENTS__SOURCE_URL

  The feature id for the 'Source URL' attribute.

  See Also:
    Constant Field Values

### ALOAD_AGENTS_FEATURE_COUNT

    static final int ALOAD_AGENTS_FEATURE_COUNT

  The number of structural features of the 'ALoad Agents' class.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS__LABEL

    static final int ALOAD_SHAPED_AGENTS__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS__ID

    static final int ALOAD_SHAPED_AGENTS__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS__SOURCES

    static final int ALOAD_SHAPED_AGENTS__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS__TARGETS

    static final int ALOAD_SHAPED_AGENTS__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS__REFERENCE

    static final int ALOAD_SHAPED_AGENTS__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS__GROUP

    static final int ALOAD_SHAPED_AGENTS__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS__SELECTED

    static final int ALOAD_SHAPED_AGENTS__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS__ALL_SOURCES

    static final int ALOAD_SHAPED_AGENTS__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS__ALL_TARGETS

    static final int ALOAD_SHAPED_AGENTS__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS__ROOT_SELECTED

    static final int ALOAD_SHAPED_AGENTS__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS__AGENT

    static final int ALOAD_SHAPED_AGENTS__AGENT

  The feature id for the 'Agent' reference.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS__SPACE

    static final int ALOAD_SHAPED_AGENTS__SPACE

  The feature id for the 'Space' reference.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS__FOR

    static final int ALOAD_SHAPED_AGENTS__FOR

  The feature id for the 'For' attribute.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS__AGENT_COUNT

    static final int ALOAD_SHAPED_AGENTS__AGENT_COUNT

  The feature id for the 'Agent Count' reference.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS__SOURCE_URL

    static final int ALOAD_SHAPED_AGENTS__SOURCE_URL

  The feature id for the 'Source URL' attribute.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS__SHAPE

    static final int ALOAD_SHAPED_AGENTS__SHAPE

  The feature id for the 'Shape' attribute.

  See Also:
    Constant Field Values

### ALOAD_SHAPED_AGENTS_FEATURE_COUNT

    static final int ALOAD_SHAPED_AGENTS_FEATURE_COUNT

  The number of structural features of the 'ALoad Shaped Agents' class.

  See Also:
    Constant Field Values

### ABUILD_PROJECTION__LABEL

    static final int ABUILD_PROJECTION__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ABUILD_PROJECTION__ID

    static final int ABUILD_PROJECTION__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ABUILD_PROJECTION__SOURCES

    static final int ABUILD_PROJECTION__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ABUILD_PROJECTION__TARGETS

    static final int ABUILD_PROJECTION__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ABUILD_PROJECTION__REFERENCE

    static final int ABUILD_PROJECTION__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ABUILD_PROJECTION__GROUP

    static final int ABUILD_PROJECTION__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ABUILD_PROJECTION__SELECTED

    static final int ABUILD_PROJECTION__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ABUILD_PROJECTION__ALL_SOURCES

    static final int ABUILD_PROJECTION__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ABUILD_PROJECTION__ALL_TARGETS

    static final int ABUILD_PROJECTION__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ABUILD_PROJECTION__ROOT_SELECTED

    static final int ABUILD_PROJECTION__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ABUILD_PROJECTION__PLURAL_LABEL

    static final int ABUILD_PROJECTION__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### ABUILD_PROJECTION__DESCRIPTION

    static final int ABUILD_PROJECTION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### ABUILD_PROJECTION__AGENTS

    static final int ABUILD_PROJECTION__AGENTS

  The feature id for the 'Agents' reference list.

  See Also:
    Constant Field Values

### ABUILD_PROJECTION__PROJECTION

    static final int ABUILD_PROJECTION__PROJECTION

  The feature id for the 'Projection' reference.

  See Also:
    Constant Field Values

### ABUILD_PROJECTION__ATTRIBUTES

    static final int ABUILD_PROJECTION__ATTRIBUTES

  The feature id for the 'Attributes' reference list.

  See Also:
    Constant Field Values

### ABUILD_PROJECTION_FEATURE_COUNT

    static final int ABUILD_PROJECTION_FEATURE_COUNT

  The number of structural features of the 'ABuild Projection' class.

  See Also:
    Constant Field Values

### ABUILD_NETWORK__LABEL

    static final int ABUILD_NETWORK__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ABUILD_NETWORK__ID

    static final int ABUILD_NETWORK__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ABUILD_NETWORK__SOURCES

    static final int ABUILD_NETWORK__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ABUILD_NETWORK__TARGETS

    static final int ABUILD_NETWORK__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ABUILD_NETWORK__REFERENCE

    static final int ABUILD_NETWORK__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ABUILD_NETWORK__GROUP

    static final int ABUILD_NETWORK__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ABUILD_NETWORK__SELECTED

    static final int ABUILD_NETWORK__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ABUILD_NETWORK__ALL_SOURCES

    static final int ABUILD_NETWORK__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ABUILD_NETWORK__ALL_TARGETS

    static final int ABUILD_NETWORK__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ABUILD_NETWORK__ROOT_SELECTED

    static final int ABUILD_NETWORK__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ABUILD_NETWORK__PLURAL_LABEL

    static final int ABUILD_NETWORK__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### ABUILD_NETWORK__DESCRIPTION

    static final int ABUILD_NETWORK__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### ABUILD_NETWORK__AGENTS

    static final int ABUILD_NETWORK__AGENTS

  The feature id for the 'Agents' reference list.

  See Also:
    Constant Field Values

### ABUILD_NETWORK__PROJECTION

    static final int ABUILD_NETWORK__PROJECTION

  The feature id for the 'Projection' reference.

  See Also:
    Constant Field Values

### ABUILD_NETWORK__ATTRIBUTES

    static final int ABUILD_NETWORK__ATTRIBUTES

  The feature id for the 'Attributes' reference list.

  See Also:
    Constant Field Values

### ABUILD_NETWORK__NETWORK_TYPE

    static final int ABUILD_NETWORK__NETWORK_TYPE

  The feature id for the 'Network Type' attribute.

  See Also:
    Constant Field Values

### ABUILD_NETWORK_FEATURE_COUNT

    static final int ABUILD_NETWORK_FEATURE_COUNT

  The number of structural features of the 'ABuild Network' class.

  See Also:
    Constant Field Values

### ABUILD_SPACE__LABEL

    static final int ABUILD_SPACE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ABUILD_SPACE__ID

    static final int ABUILD_SPACE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ABUILD_SPACE__SOURCES

    static final int ABUILD_SPACE__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ABUILD_SPACE__TARGETS

    static final int ABUILD_SPACE__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ABUILD_SPACE__REFERENCE

    static final int ABUILD_SPACE__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ABUILD_SPACE__GROUP

    static final int ABUILD_SPACE__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ABUILD_SPACE__SELECTED

    static final int ABUILD_SPACE__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ABUILD_SPACE__ALL_SOURCES

    static final int ABUILD_SPACE__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ABUILD_SPACE__ALL_TARGETS

    static final int ABUILD_SPACE__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ABUILD_SPACE__ROOT_SELECTED

    static final int ABUILD_SPACE__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ABUILD_SPACE__PLURAL_LABEL

    static final int ABUILD_SPACE__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### ABUILD_SPACE__DESCRIPTION

    static final int ABUILD_SPACE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### ABUILD_SPACE__AGENTS

    static final int ABUILD_SPACE__AGENTS

  The feature id for the 'Agents' reference list.

  See Also:
    Constant Field Values

### ABUILD_SPACE__PROJECTION

    static final int ABUILD_SPACE__PROJECTION

  The feature id for the 'Projection' reference.

  See Also:
    Constant Field Values

### ABUILD_SPACE__ATTRIBUTES

    static final int ABUILD_SPACE__ATTRIBUTES

  The feature id for the 'Attributes' reference list.

  See Also:
    Constant Field Values

### ABUILD_SPACE__SPACE_TYPE

    static final int ABUILD_SPACE__SPACE_TYPE

  The feature id for the 'Space Type' attribute.

  See Also:
    Constant Field Values

### ABUILD_SPACE_FEATURE_COUNT

    static final int ABUILD_SPACE_FEATURE_COUNT

  The number of structural features of the 'ABuild Space' class.

  See Also:
    Constant Field Values

### ABUILD_GEOGRAPHY__LABEL

    static final int ABUILD_GEOGRAPHY__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ABUILD_GEOGRAPHY__ID

    static final int ABUILD_GEOGRAPHY__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ABUILD_GEOGRAPHY__SOURCES

    static final int ABUILD_GEOGRAPHY__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ABUILD_GEOGRAPHY__TARGETS

    static final int ABUILD_GEOGRAPHY__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ABUILD_GEOGRAPHY__REFERENCE

    static final int ABUILD_GEOGRAPHY__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ABUILD_GEOGRAPHY__GROUP

    static final int ABUILD_GEOGRAPHY__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ABUILD_GEOGRAPHY__SELECTED

    static final int ABUILD_GEOGRAPHY__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ABUILD_GEOGRAPHY__ALL_SOURCES

    static final int ABUILD_GEOGRAPHY__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ABUILD_GEOGRAPHY__ALL_TARGETS

    static final int ABUILD_GEOGRAPHY__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ABUILD_GEOGRAPHY__ROOT_SELECTED

    static final int ABUILD_GEOGRAPHY__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ABUILD_GEOGRAPHY__PLURAL_LABEL

    static final int ABUILD_GEOGRAPHY__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### ABUILD_GEOGRAPHY__DESCRIPTION

    static final int ABUILD_GEOGRAPHY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### ABUILD_GEOGRAPHY__AGENTS

    static final int ABUILD_GEOGRAPHY__AGENTS

  The feature id for the 'Agents' reference list.

  See Also:
    Constant Field Values

### ABUILD_GEOGRAPHY__PROJECTION

    static final int ABUILD_GEOGRAPHY__PROJECTION

  The feature id for the 'Projection' reference.

  See Also:
    Constant Field Values

### ABUILD_GEOGRAPHY__ATTRIBUTES

    static final int ABUILD_GEOGRAPHY__ATTRIBUTES

  The feature id for the 'Attributes' reference list.

  See Also:
    Constant Field Values

### ABUILD_GEOGRAPHY_FEATURE_COUNT

    static final int ABUILD_GEOGRAPHY_FEATURE_COUNT

  The number of structural features of the 'ABuild Geography' class.

  See Also:
    Constant Field Values

### ABUILD_GRID__LABEL

    static final int ABUILD_GRID__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ABUILD_GRID__ID

    static final int ABUILD_GRID__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ABUILD_GRID__SOURCES

    static final int ABUILD_GRID__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ABUILD_GRID__TARGETS

    static final int ABUILD_GRID__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ABUILD_GRID__REFERENCE

    static final int ABUILD_GRID__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ABUILD_GRID__GROUP

    static final int ABUILD_GRID__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ABUILD_GRID__SELECTED

    static final int ABUILD_GRID__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ABUILD_GRID__ALL_SOURCES

    static final int ABUILD_GRID__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ABUILD_GRID__ALL_TARGETS

    static final int ABUILD_GRID__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ABUILD_GRID__ROOT_SELECTED

    static final int ABUILD_GRID__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ABUILD_GRID__PLURAL_LABEL

    static final int ABUILD_GRID__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### ABUILD_GRID__DESCRIPTION

    static final int ABUILD_GRID__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### ABUILD_GRID__AGENTS

    static final int ABUILD_GRID__AGENTS

  The feature id for the 'Agents' reference list.

  See Also:
    Constant Field Values

### ABUILD_GRID__PROJECTION

    static final int ABUILD_GRID__PROJECTION

  The feature id for the 'Projection' reference.

  See Also:
    Constant Field Values

### ABUILD_GRID__ATTRIBUTES

    static final int ABUILD_GRID__ATTRIBUTES

  The feature id for the 'Attributes' reference list.

  See Also:
    Constant Field Values

### ABUILD_GRID__SPACE_TYPE

    static final int ABUILD_GRID__SPACE_TYPE

  The feature id for the 'Space Type' attribute.

  See Also:
    Constant Field Values

### ABUILD_GRID__FILL_AGENT

    static final int ABUILD_GRID__FILL_AGENT

  The feature id for the 'Fill Agent' reference.

  See Also:
    Constant Field Values

### ABUILD_GRID_FEATURE_COUNT

    static final int ABUILD_GRID_FEATURE_COUNT

  The number of structural features of the 'ABuild Grid' class.

  See Also:
    Constant Field Values

### ACOMMAND__LABEL

    static final int ACOMMAND__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ACOMMAND__ID

    static final int ACOMMAND__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ACOMMAND__SOURCES

    static final int ACOMMAND__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ACOMMAND__TARGETS

    static final int ACOMMAND__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ACOMMAND__REFERENCE

    static final int ACOMMAND__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ACOMMAND__GROUP

    static final int ACOMMAND__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ACOMMAND__SELECTED

    static final int ACOMMAND__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ACOMMAND__ALL_SOURCES

    static final int ACOMMAND__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ACOMMAND__ALL_TARGETS

    static final int ACOMMAND__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ACOMMAND__ROOT_SELECTED

    static final int ACOMMAND__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ACOMMAND_FEATURE_COUNT

    static final int ACOMMAND_FEATURE_COUNT

  The number of structural features of the 'ACommand' class.

  See Also:
    Constant Field Values

### ATRANSFORM__LABEL

    static final int ATRANSFORM__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ATRANSFORM__ID

    static final int ATRANSFORM__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ATRANSFORM__SOURCES

    static final int ATRANSFORM__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ATRANSFORM__TARGETS

    static final int ATRANSFORM__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ATRANSFORM__REFERENCE

    static final int ATRANSFORM__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ATRANSFORM__GROUP

    static final int ATRANSFORM__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ATRANSFORM__SELECTED

    static final int ATRANSFORM__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ATRANSFORM__ALL_SOURCES

    static final int ATRANSFORM__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ATRANSFORM__ALL_TARGETS

    static final int ATRANSFORM__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ATRANSFORM__ROOT_SELECTED

    static final int ATRANSFORM__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ATRANSFORM__DESTINATION

    static final int ATRANSFORM__DESTINATION

  The feature id for the 'Destination' reference.

  See Also:
    Constant Field Values

### ATRANSFORM_FEATURE_COUNT

    static final int ATRANSFORM_FEATURE_COUNT

  The number of structural features of the 'ATransform' class.

  See Also:
    Constant Field Values

### AMOVE__LABEL

    static final int AMOVE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### AMOVE__ID

    static final int AMOVE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### AMOVE__SOURCES

    static final int AMOVE__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### AMOVE__TARGETS

    static final int AMOVE__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### AMOVE__REFERENCE

    static final int AMOVE__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### AMOVE__GROUP

    static final int AMOVE__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### AMOVE__SELECTED

    static final int AMOVE__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### AMOVE__ALL_SOURCES

    static final int AMOVE__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### AMOVE__ALL_TARGETS

    static final int AMOVE__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### AMOVE__ROOT_SELECTED

    static final int AMOVE__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### AMOVE__DESTINATION

    static final int AMOVE__DESTINATION

  The feature id for the 'Destination' reference.

  See Also:
    Constant Field Values

### AMOVE_FEATURE_COUNT

    static final int AMOVE_FEATURE_COUNT

  The number of structural features of the 'AMove' class.

  See Also:
    Constant Field Values

### ALEAVE__LABEL

    static final int ALEAVE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ALEAVE__ID

    static final int ALEAVE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ALEAVE__SOURCES

    static final int ALEAVE__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ALEAVE__TARGETS

    static final int ALEAVE__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ALEAVE__REFERENCE

    static final int ALEAVE__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ALEAVE__GROUP

    static final int ALEAVE__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ALEAVE__SELECTED

    static final int ALEAVE__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ALEAVE__ALL_SOURCES

    static final int ALEAVE__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ALEAVE__ALL_TARGETS

    static final int ALEAVE__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ALEAVE__ROOT_SELECTED

    static final int ALEAVE__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ALEAVE__DESTINATION

    static final int ALEAVE__DESTINATION

  The feature id for the 'Destination' reference.

  See Also:
    Constant Field Values

### ALEAVE_FEATURE_COUNT

    static final int ALEAVE_FEATURE_COUNT

  The number of structural features of the 'ALeave' class.

  See Also:
    Constant Field Values

### ADIE__LABEL

    static final int ADIE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ADIE__ID

    static final int ADIE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ADIE__SOURCES

    static final int ADIE__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ADIE__TARGETS

    static final int ADIE__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ADIE__REFERENCE

    static final int ADIE__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ADIE__GROUP

    static final int ADIE__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ADIE__SELECTED

    static final int ADIE__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ADIE__ALL_SOURCES

    static final int ADIE__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ADIE__ALL_TARGETS

    static final int ADIE__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ADIE__ROOT_SELECTED

    static final int ADIE__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ADIE__DESTINATION

    static final int ADIE__DESTINATION

  The feature id for the 'Destination' reference.

  See Also:
    Constant Field Values

### ADIE_FEATURE_COUNT

    static final int ADIE_FEATURE_COUNT

  The number of structural features of the 'ADie' class.

  See Also:
    Constant Field Values

### ANETWORK__LABEL

    static final int ANETWORK__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ANETWORK__ID

    static final int ANETWORK__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ANETWORK__SOURCES

    static final int ANETWORK__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ANETWORK__TARGETS

    static final int ANETWORK__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ANETWORK__REFERENCE

    static final int ANETWORK__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ANETWORK__GROUP

    static final int ANETWORK__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ANETWORK__SELECTED

    static final int ANETWORK__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ANETWORK__ALL_SOURCES

    static final int ANETWORK__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ANETWORK__ALL_TARGETS

    static final int ANETWORK__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ANETWORK__ROOT_SELECTED

    static final int ANETWORK__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ANETWORK__DESTINATION

    static final int ANETWORK__DESTINATION

  The feature id for the 'Destination' reference.

  See Also:
    Constant Field Values

### ANETWORK__WITHIN

    static final int ANETWORK__WITHIN

  The feature id for the 'Within' reference.

  See Also:
    Constant Field Values

### ANETWORK_FEATURE_COUNT

    static final int ANETWORK_FEATURE_COUNT

  The number of structural features of the 'ANetwork' class.

  See Also:
    Constant Field Values

### ACONNECT__LABEL

    static final int ACONNECT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ACONNECT__ID

    static final int ACONNECT__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ACONNECT__SOURCES

    static final int ACONNECT__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ACONNECT__TARGETS

    static final int ACONNECT__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ACONNECT__REFERENCE

    static final int ACONNECT__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ACONNECT__GROUP

    static final int ACONNECT__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ACONNECT__SELECTED

    static final int ACONNECT__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ACONNECT__ALL_SOURCES

    static final int ACONNECT__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ACONNECT__ALL_TARGETS

    static final int ACONNECT__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ACONNECT__ROOT_SELECTED

    static final int ACONNECT__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ACONNECT__DESTINATION

    static final int ACONNECT__DESTINATION

  The feature id for the 'Destination' reference.

  See Also:
    Constant Field Values

### ACONNECT__WITHIN

    static final int ACONNECT__WITHIN

  The feature id for the 'Within' reference.

  See Also:
    Constant Field Values

### ACONNECT__DIRECTED

    static final int ACONNECT__DIRECTED

  The feature id for the 'Directed' attribute.

  See Also:
    Constant Field Values

### ACONNECT_FEATURE_COUNT

    static final int ACONNECT_FEATURE_COUNT

  The number of structural features of the 'AConnect' class.

  See Also:
    Constant Field Values

### ADISCONNECT__LABEL

    static final int ADISCONNECT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ADISCONNECT__ID

    static final int ADISCONNECT__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ADISCONNECT__SOURCES

    static final int ADISCONNECT__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ADISCONNECT__TARGETS

    static final int ADISCONNECT__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ADISCONNECT__REFERENCE

    static final int ADISCONNECT__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ADISCONNECT__GROUP

    static final int ADISCONNECT__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ADISCONNECT__SELECTED

    static final int ADISCONNECT__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ADISCONNECT__ALL_SOURCES

    static final int ADISCONNECT__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ADISCONNECT__ALL_TARGETS

    static final int ADISCONNECT__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ADISCONNECT__ROOT_SELECTED

    static final int ADISCONNECT__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ADISCONNECT__DESTINATION

    static final int ADISCONNECT__DESTINATION

  The feature id for the 'Destination' reference.

  See Also:
    Constant Field Values

### ADISCONNECT__WITHIN

    static final int ADISCONNECT__WITHIN

  The feature id for the 'Within' reference.

  See Also:
    Constant Field Values

### ADISCONNECT_FEATURE_COUNT

    static final int ADISCONNECT_FEATURE_COUNT

  The number of structural features of the 'ADisconnect' class.

  See Also:
    Constant Field Values

### AREPLACE__LABEL

    static final int AREPLACE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### AREPLACE__ID

    static final int AREPLACE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### AREPLACE__SOURCES

    static final int AREPLACE__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### AREPLACE__TARGETS

    static final int AREPLACE__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### AREPLACE__REFERENCE

    static final int AREPLACE__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### AREPLACE__GROUP

    static final int AREPLACE__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### AREPLACE__SELECTED

    static final int AREPLACE__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### AREPLACE__ALL_SOURCES

    static final int AREPLACE__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### AREPLACE__ALL_TARGETS

    static final int AREPLACE__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### AREPLACE__ROOT_SELECTED

    static final int AREPLACE__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### AREPLACE__DESTINATION

    static final int AREPLACE__DESTINATION

  The feature id for the 'Destination' reference.

  See Also:
    Constant Field Values

### AREPLACE__WITHIN

    static final int AREPLACE__WITHIN

  The feature id for the 'Within' reference.

  See Also:
    Constant Field Values

### AREPLACE__DIRECTED

    static final int AREPLACE__DIRECTED

  The feature id for the 'Directed' attribute.

  See Also:
    Constant Field Values

### AREPLACE_FEATURE_COUNT

    static final int AREPLACE_FEATURE_COUNT

  The number of structural features of the 'AReplace' class.

  See Also:
    Constant Field Values

### ACAUSE

    static final int ACAUSE

  The meta object id for the '`ACause`' class.

  See Also:
    `ACauseImpl`, `MetaABMActPackageImpl.getACause()`, Constant Field Values

### ACAUSE__LABEL

    static final int ACAUSE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ACAUSE__ID

    static final int ACAUSE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ACAUSE__SOURCES

    static final int ACAUSE__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ACAUSE__TARGETS

    static final int ACAUSE__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ACAUSE__REFERENCE

    static final int ACAUSE__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ACAUSE__GROUP

    static final int ACAUSE__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ACAUSE__SELECTED

    static final int ACAUSE__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ACAUSE__ALL_SOURCES

    static final int ACAUSE__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ACAUSE__ALL_TARGETS

    static final int ACAUSE__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ACAUSE__ROOT_SELECTED

    static final int ACAUSE__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ACAUSE__RESULT

    static final int ACAUSE__RESULT

  The feature id for the 'Result' reference.

  See Also:
    Constant Field Values

### ACAUSE_FEATURE_COUNT

    static final int ACAUSE_FEATURE_COUNT

  The number of structural features of the 'ACause' class.

  See Also:
    Constant Field Values

### ADIFFUSE

    static final int ADIFFUSE

  The meta object id for the '`ADiffuse`' class.

  See Also:
    `ADiffuseImpl`, `MetaABMActPackageImpl.getADiffuse()`, Constant Field Values

### ADIFFUSE__LABEL

    static final int ADIFFUSE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ADIFFUSE__ID

    static final int ADIFFUSE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ADIFFUSE__SOURCES

    static final int ADIFFUSE__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ADIFFUSE__TARGETS

    static final int ADIFFUSE__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ADIFFUSE__REFERENCE

    static final int ADIFFUSE__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ADIFFUSE__GROUP

    static final int ADIFFUSE__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ADIFFUSE__SELECTED

    static final int ADIFFUSE__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ADIFFUSE__ALL_SOURCES

    static final int ADIFFUSE__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ADIFFUSE__ALL_TARGETS

    static final int ADIFFUSE__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ADIFFUSE__ROOT_SELECTED

    static final int ADIFFUSE__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ADIFFUSE__AGENT

    static final int ADIFFUSE__AGENT

  The feature id for the 'Agent' reference.

  See Also:
    Constant Field Values

### ADIFFUSE__SPACE

    static final int ADIFFUSE__SPACE

  The feature id for the 'Space' reference.

  See Also:
    Constant Field Values

### ADIFFUSE__FOR

    static final int ADIFFUSE__FOR

  The feature id for the 'For' attribute.

  See Also:
    Constant Field Values

### ADIFFUSE__DIFFUSED

    static final int ADIFFUSE__DIFFUSED

  The feature id for the 'Diffused' reference.

  See Also:
    Constant Field Values

### ADIFFUSE__DIFFUSION_RATE

    static final int ADIFFUSE__DIFFUSION_RATE

  The feature id for the 'Diffusion Rate' reference.

  See Also:
    Constant Field Values

### ADIFFUSE__EVAPORATION_RATE

    static final int ADIFFUSE__EVAPORATION_RATE

  The feature id for the 'Evaporation Rate' reference.

  See Also:
    Constant Field Values

### ADIFFUSE_FEATURE_COUNT

    static final int ADIFFUSE_FEATURE_COUNT

  The number of structural features of the 'ADiffuse' class.

  See Also:
    Constant Field Values

### APERFORM

    static final int APERFORM

  The meta object id for the '`APerform`' class.

  See Also:
    `APerformImpl`, `MetaABMActPackageImpl.getAPerform()`, Constant Field Values

### APERFORM__LABEL

    static final int APERFORM__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### APERFORM__ID

    static final int APERFORM__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### APERFORM__SOURCES

    static final int APERFORM__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### APERFORM__TARGETS

    static final int APERFORM__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### APERFORM__REFERENCE

    static final int APERFORM__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### APERFORM__GROUP

    static final int APERFORM__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### APERFORM__SELECTED

    static final int APERFORM__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### APERFORM__ALL_SOURCES

    static final int APERFORM__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### APERFORM__ALL_TARGETS

    static final int APERFORM__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### APERFORM__ROOT_SELECTED

    static final int APERFORM__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### APERFORM__AGENT

    static final int APERFORM__AGENT

  The feature id for the 'Agent' reference.

  See Also:
    Constant Field Values

### APERFORM__SPACE

    static final int APERFORM__SPACE

  The feature id for the 'Space' reference.

  See Also:
    Constant Field Values

### APERFORM__FOR

    static final int APERFORM__FOR

  The feature id for the 'For' attribute.

  See Also:
    Constant Field Values

### APERFORM_FEATURE_COUNT

    static final int APERFORM_FEATURE_COUNT

  The number of structural features of the 'APerform' class.

  See Also:
    Constant Field Values

### ADERIVE

    static final int ADERIVE

  The meta object id for the '`ADerive`' class.

  See Also:
    `ADeriveImpl`, `MetaABMActPackageImpl.getADerive()`, Constant Field Values

### ADERIVE__LABEL

    static final int ADERIVE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ADERIVE__ID

    static final int ADERIVE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ADERIVE__SOURCES

    static final int ADERIVE__SOURCES

  The feature id for the 'Sources' reference list.

  See Also:
    Constant Field Values

### ADERIVE__TARGETS

    static final int ADERIVE__TARGETS

  The feature id for the 'Targets' reference list.

  See Also:
    Constant Field Values

### ADERIVE__REFERENCE

    static final int ADERIVE__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### ADERIVE__GROUP

    static final int ADERIVE__GROUP

  The feature id for the 'Group' container reference.

  See Also:
    Constant Field Values

### ADERIVE__SELECTED

    static final int ADERIVE__SELECTED

  The feature id for the 'Selected' reference.

  See Also:
    Constant Field Values

### ADERIVE__ALL_SOURCES

    static final int ADERIVE__ALL_SOURCES

  The feature id for the 'All Sources' reference list.

  See Also:
    Constant Field Values

### ADERIVE__ALL_TARGETS

    static final int ADERIVE__ALL_TARGETS

  The feature id for the 'All Targets' reference list.

  See Also:
    Constant Field Values

### ADERIVE__ROOT_SELECTED

    static final int ADERIVE__ROOT_SELECTED

  The feature id for the 'Root Selected' reference.

  See Also:
    Constant Field Values

### ADERIVE__ATTRIBUTE

    static final int ADERIVE__ATTRIBUTE

  The feature id for the 'Attribute' reference.

  See Also:
    Constant Field Values

### ADERIVE__AGENT

    static final int ADERIVE__AGENT

  The feature id for the 'Agent' reference.

  See Also:
    Constant Field Values

### ADERIVE__SPACE

    static final int ADERIVE__SPACE

  The feature id for the 'Space' reference.

  See Also:
    Constant Field Values

### ADERIVE__FOR

    static final int ADERIVE__FOR

  The feature id for the 'For' attribute.

  See Also:
    Constant Field Values

### ADERIVE_FEATURE_COUNT

    static final int ADERIVE_FEATURE_COUNT

  The number of structural features of the 'ADerive' class.

  See Also:
    Constant Field Values

### ABUILD_SPACE_TYPES

    static final int ABUILD_SPACE_TYPES

  The meta object id for the '`ABuild Space Types`' enum.

  See Also:
    `ABuildSpaceTypes`, `MetaABMActPackageImpl.getABuildSpaceTypes()`, Constant Field Values

### ABUILD_NETWORK_TYPES

    static final int ABUILD_NETWORK_TYPES

  The meta object id for the '`ABuild Network Types`' enum.

  See Also:
    `ABuildNetworkTypes`, `MetaABMActPackageImpl.getABuildNetworkTypes()`, Constant Field Values

### ASELECT_TYPES

    static final int ASELECT_TYPES

  The meta object id for the '`ASelect Types`' enum.

  See Also:
    `ASelectTypes`, `MetaABMActPackageImpl.getASelectTypes()`, Constant Field Values

Method Detail

### getAAct

    org.eclipse.emf.ecore.EClass getAAct()

  Returns the meta object for class '`AAct`'.

  Returns:
    the meta object for class 'AAct'.
  See Also:
    `AAct`

### getAAct_Sources

    org.eclipse.emf.ecore.EReference getAAct_Sources()

  Returns the meta object for the reference list ' `Sources`'.

  Returns:
    the meta object for the reference list 'Sources'.
  See Also:
    `AAct.getSources()`, `getAAct()`

### getAAct_Targets

    org.eclipse.emf.ecore.EReference getAAct_Targets()

  Returns the meta object for the reference list ' `Targets`'.

  Returns:
    the meta object for the reference list 'Targets'.
  See Also:
    `AAct.getTargets()`, `getAAct()`

### getAAct_Reference

    org.eclipse.emf.ecore.EReference getAAct_Reference()

  Returns the meta object for the reference ' `Reference`'.

  Returns:
    the meta object for the reference 'Reference'.
  See Also:
    `AAct.getReference()`, `getAAct()`

### getAAct_Group

    org.eclipse.emf.ecore.EReference getAAct_Group()

  Returns the meta object for the container reference ' `Group`'.

  Returns:
    the meta object for the container reference 'Group'.
  See Also:
    `AAct.getGroup()`, `getAAct()`

### getAAct_Selected

    org.eclipse.emf.ecore.EReference getAAct_Selected()

  Returns the meta object for the reference ' `Selected`'.

  Returns:
    the meta object for the reference 'Selected'.
  See Also:
    `AAct.getSelected()`, `getAAct()`

### getAAct_AllSources

    org.eclipse.emf.ecore.EReference getAAct_AllSources()

  Returns the meta object for the reference list '`All Sources`'.

  Returns:
    the meta object for the reference list 'All Sources'.
  See Also:
    `AAct.getAllSources()`, `getAAct()`

### getAAct_AllTargets

    org.eclipse.emf.ecore.EReference getAAct_AllTargets()

  Returns the meta object for the reference list '`All Targets`'.

  Returns:
    the meta object for the reference list 'All Targets'.
  See Also:
    `AAct.getAllTargets()`, `getAAct()`

### getAAct_RootSelected

    org.eclipse.emf.ecore.EReference getAAct_RootSelected()

  Returns the meta object for the reference '`Root Selected`'.

  Returns:
    the meta object for the reference 'Root Selected'.
  See Also:
    `AAct.getRootSelected()`, `getAAct()`

### getAControl

    org.eclipse.emf.ecore.EClass getAControl()

  Returns the meta object for class '`AControl`'.

  Returns:
    the meta object for class 'AControl'.
  See Also:
    `AControl`

### getARoot

    org.eclipse.emf.ecore.EClass getARoot()

  Returns the meta object for class '`ARoot`'.

  Returns:
    the meta object for class 'ARoot'.
  See Also:
    `ARoot`

### getAGroup

    org.eclipse.emf.ecore.EClass getAGroup()

  Returns the meta object for class '`AGroup`'.

  Returns:
    the meta object for class 'AGroup'.
  See Also:
    `AGroup`

### getAGroup_Roots

    org.eclipse.emf.ecore.EReference getAGroup_Roots()

  Returns the meta object for the reference list ' `Roots`'.

  Returns:
    the meta object for the reference list 'Roots'.
  See Also:
    `AGroup.getRoots()`, `getAGroup()`

### getAGroup_Members

    org.eclipse.emf.ecore.EReference getAGroup_Members()

  Returns the meta object for the containment reference list '`Members`'.

  Returns:
    the meta object for the containment reference list 'Members'.
  See Also:
    `AGroup.getMembers()`, `getAGroup()`

### getASchedule

    org.eclipse.emf.ecore.EClass getASchedule()

  Returns the meta object for class '`ASchedule`'.

  Returns:
    the meta object for class 'ASchedule'.
  See Also:
    `ASchedule`

### getASchedule_Start

    org.eclipse.emf.ecore.EAttribute getASchedule_Start()

  Returns the meta object for the attribute ' `Start`'.

  Returns:
    the meta object for the attribute 'Start'.
  See Also:
    `ASchedule.getStart()`, `getASchedule()`

### getASchedule_Interval

    org.eclipse.emf.ecore.EAttribute getASchedule_Interval()

  Returns the meta object for the attribute ' `Interval`'.

  Returns:
    the meta object for the attribute 'Interval'.
  See Also:
    `ASchedule.getInterval()`, `getASchedule()`

### getASchedule_Priority

    org.eclipse.emf.ecore.EAttribute getASchedule_Priority()

  Returns the meta object for the attribute ' `Priority`'.

  Returns:
    the meta object for the attribute 'Priority'.
  See Also:
    `ASchedule.getPriority()`, `getASchedule()`

### getASchedule_Pick

    org.eclipse.emf.ecore.EAttribute getASchedule_Pick()

  Returns the meta object for the attribute ' `Pick`'.

  Returns:
    the meta object for the attribute 'Pick'.
  See Also:
    `ASchedule.getPick()`, `getASchedule()`

### getABuild

    org.eclipse.emf.ecore.EClass getABuild()

  Returns the meta object for class '`ABuild`'.

  Returns:
    the meta object for class 'ABuild'.
  See Also:
    `ABuild`

### getAInitialize

    org.eclipse.emf.ecore.EClass getAInitialize()

  Returns the meta object for class '`AInitialize`'.

  Returns:
    the meta object for class 'AInitialize'.
  See Also:
    `AInitialize`

### getARule

    org.eclipse.emf.ecore.EClass getARule()

  Returns the meta object for class '`ARule`'.

  Returns:
    the meta object for class 'ARule'.
  See Also:
    `ARule`

### getAMethod

    org.eclipse.emf.ecore.EClass getAMethod()

  Returns the meta object for class '`AMethod`'.

  Returns:
    the meta object for class 'AMethod'.
  See Also:
    `AMethod`

### getAMethod_Body

    org.eclipse.emf.ecore.EAttribute getAMethod_Body()

  Returns the meta object for the attribute ' `Body`'.

  Returns:
    the meta object for the attribute 'Body'.
  See Also:
    `AMethod.getBody()`, `getAMethod()`

### getAMethod_Generate

    org.eclipse.emf.ecore.EAttribute getAMethod_Generate()

  Returns the meta object for the attribute ' `Generate`'.

  Returns:
    the meta object for the attribute 'Generate'.
  See Also:
    `AMethod.isGenerate()`, `getAMethod()`

### getASink

    org.eclipse.emf.ecore.EClass getASink()

  Returns the meta object for class '`ASink`'.

  Returns:
    the meta object for class 'ASink'.
  See Also:
    `ASink`

### getASink_Inputs

    org.eclipse.emf.ecore.EReference getASink_Inputs()

  Returns the meta object for the containment reference list '`Inputs`'.

  Returns:
    the meta object for the containment reference list 'Inputs'.
  See Also:
    `ASink.getInputs()`, `getASink()`

### getASink_Function

    org.eclipse.emf.ecore.EReference getASink_Function()

  Returns the meta object for the reference ' `Function`'.

  Returns:
    the meta object for the reference 'Function'.
  See Also:
    `ASink.getFunction()`, `getASink()`

### getALogic

    org.eclipse.emf.ecore.EClass getALogic()

  Returns the meta object for class '`ALogic`'.

  Returns:
    the meta object for class 'ALogic'.
  See Also:
    `ALogic`

### getAAny

    org.eclipse.emf.ecore.EClass getAAny()

  Returns the meta object for class '`AAny`'.

  Returns:
    the meta object for class 'AAny'.
  See Also:
    `AAny`

### getAAll

    org.eclipse.emf.ecore.EClass getAAll()

  Returns the meta object for class '`AAll`'.

  Returns:
    the meta object for class 'AAll'.
  See Also:
    `AAll`

### getANone

    org.eclipse.emf.ecore.EClass getANone()

  Returns the meta object for class '`ANone`'.

  Returns:
    the meta object for class 'ANone'.
  See Also:
    `ANone`

### getAQuery

    org.eclipse.emf.ecore.EClass getAQuery()

  Returns the meta object for class '`AQuery`'.

  Returns:
    the meta object for class 'AQuery'.
  See Also:
    `AQuery`

### getAEvaluate

    org.eclipse.emf.ecore.EClass getAEvaluate()

  Returns the meta object for class '`AEvaluate`'.

  Returns:
    the meta object for class 'AEvaluate'.
  See Also:
    `AEvaluate`

### getAAccessor

    org.eclipse.emf.ecore.EClass getAAccessor()

  Returns the meta object for class '`AAccessor`'.

  Returns:
    the meta object for class 'AAccessor'.
  See Also:
    `AAccessor`

### getAAccessor_Attribute

    org.eclipse.emf.ecore.EReference getAAccessor_Attribute()

  Returns the meta object for the reference '`Attribute`'.

  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `AAccessor.getAttribute()`, `getAAccessor()`

### getAWatch

    org.eclipse.emf.ecore.EClass getAWatch()

  Returns the meta object for class '`AWatch`'.

  Returns:
    the meta object for class 'AWatch'.
  See Also:
    `AWatch`

### getASet

    org.eclipse.emf.ecore.EClass getASet()

  Returns the meta object for class '`ASet`'.

  Returns:
    the meta object for class 'ASet'.
  See Also:
    `ASet`

### getASet_Parameter

    org.eclipse.emf.ecore.EReference getASet_Parameter()

  Returns the meta object for the reference ' `Parameter`'.

  Returns:
    the meta object for the reference 'Parameter'.
  See Also:
    `ASet.getParameter()`, `getASet()`

### getACreateAgents

    org.eclipse.emf.ecore.EClass getACreateAgents()

  Returns the meta object for class '`ACreate Agents`'.

  Returns:
    the meta object for class 'ACreate Agents'.
  See Also:
    `ACreateAgents`

### getACreateAgents_AgentCount

    org.eclipse.emf.ecore.EReference getACreateAgents_AgentCount()

  Returns the meta object for the reference '`Agent Count`'.

  Returns:
    the meta object for the reference 'Agent Count'.
  See Also:
    `ACreateAgents.getAgentCount()`, `getACreateAgents()`

### getABuildProjection

    org.eclipse.emf.ecore.EClass getABuildProjection()

  Returns the meta object for class '`ABuild Projection`'.

  Returns:
    the meta object for class 'ABuild Projection'.
  See Also:
    `ABuildProjection`

### getABuildProjection_Agents

    org.eclipse.emf.ecore.EReference getABuildProjection_Agents()

  Returns the meta object for the reference list '`Agents`'.

  Returns:
    the meta object for the reference list 'Agents'.
  See Also:
    `ABuildProjection.getAgents()`, `getABuildProjection()`

### getABuildProjection_Projection

    org.eclipse.emf.ecore.EReference getABuildProjection_Projection()

  Returns the meta object for the reference '`Projection`'.

  Returns:
    the meta object for the reference 'Projection'.
  See Also:
    `ABuildProjection.getProjection()`, `getABuildProjection()`

### getABuildProjection_Attributes

    org.eclipse.emf.ecore.EReference getABuildProjection_Attributes()

  Returns the meta object for the reference list '`Attributes`'.

  Returns:
    the meta object for the reference list 'Attributes'.
  See Also:
    `ABuildProjection.getAttributes()`, `getABuildProjection()`

### getABuildNetwork

    org.eclipse.emf.ecore.EClass getABuildNetwork()

  Returns the meta object for class '`ABuild Network`'.

  Returns:
    the meta object for class 'ABuild Network'.
  See Also:
    `ABuildNetwork`

### getABuildNetwork_NetworkType

    org.eclipse.emf.ecore.EAttribute getABuildNetwork_NetworkType()

  Returns the meta object for the attribute '`Network Type`'.

  Returns:
    the meta object for the attribute 'Network Type'.
  See Also:
    `ABuildNetwork.getNetworkType()`, `getABuildNetwork()`

### getABuildSpace

    org.eclipse.emf.ecore.EClass getABuildSpace()

  Returns the meta object for class '`ABuild Space`'.

  Returns:
    the meta object for class 'ABuild Space'.
  See Also:
    `ABuildSpace`

### getABuildSpace_SpaceType

    org.eclipse.emf.ecore.EAttribute getABuildSpace_SpaceType()

  Returns the meta object for the attribute '`Space Type`'.

  Returns:
    the meta object for the attribute 'Space Type'.
  See Also:
    `ABuildSpace.getSpaceType()`, `getABuildSpace()`

### getABuildGeography

    org.eclipse.emf.ecore.EClass getABuildGeography()

  Returns the meta object for class ' `ABuild Geography`'.

  Returns:
    the meta object for class 'ABuild Geography'.
  See Also:
    `ABuildGeography`

### getABuildGrid

    org.eclipse.emf.ecore.EClass getABuildGrid()

  Returns the meta object for class '`ABuild Grid`'.

  Returns:
    the meta object for class 'ABuild Grid'.
  See Also:
    `ABuildGrid`

### getABuildGrid_FillAgent

    org.eclipse.emf.ecore.EReference getABuildGrid_FillAgent()

  Returns the meta object for the reference '`Fill Agent`'.

  Returns:
    the meta object for the reference 'Fill Agent'.
  See Also:
    `ABuildGrid.getFillAgent()`, `getABuildGrid()`

### getASelect

    org.eclipse.emf.ecore.EClass getASelect()

  Returns the meta object for class '`ASelect`'.

  Returns:
    the meta object for class 'ASelect'.
  See Also:
    `ASelect`

### getASelect_Agent

    org.eclipse.emf.ecore.EReference getASelect_Agent()

  Returns the meta object for the reference ' `Agent`'.

  Returns:
    the meta object for the reference 'Agent'.
  See Also:
    `ASelect.getAgent()`, `getASelect()`

### getASelect_Space

    org.eclipse.emf.ecore.EReference getASelect_Space()

  Returns the meta object for the reference ' `Space`'.

  Returns:
    the meta object for the reference 'Space'.
  See Also:
    `ASelect.getSpace()`, `getASelect()`

### getASelect_For

    org.eclipse.emf.ecore.EAttribute getASelect_For()

  Returns the meta object for the attribute '`For`'.

  Returns:
    the meta object for the attribute 'For'.
  See Also:
    `ASelect.getFor()`, `getASelect()`

### getAMove

    org.eclipse.emf.ecore.EClass getAMove()

  Returns the meta object for class '`AMove`'.

  Returns:
    the meta object for class 'AMove'.
  See Also:
    `AMove`

### getATransform

    org.eclipse.emf.ecore.EClass getATransform()

  Returns the meta object for class '`ATransform`'.

  Returns:
    the meta object for class 'ATransform'.
  See Also:
    `ATransform`

### getATransform_Destination

    org.eclipse.emf.ecore.EReference getATransform_Destination()

  Returns the meta object for the reference '`Destination`'.

  Returns:
    the meta object for the reference 'Destination'.
  See Also:
    `ATransform.getDestination()`, `getATransform()`

### getALeave

    org.eclipse.emf.ecore.EClass getALeave()

  Returns the meta object for class '`ALeave`'.

  Returns:
    the meta object for class 'ALeave'.
  See Also:
    `ALeave`

### getADie

    org.eclipse.emf.ecore.EClass getADie()

  Returns the meta object for class '`ADie`'.

  Returns:
    the meta object for class 'ADie'.
  See Also:
    `ADie`

### getAConnect

    org.eclipse.emf.ecore.EClass getAConnect()

  Returns the meta object for class '`AConnect`'.

  Returns:
    the meta object for class 'AConnect'.
  See Also:
    `AConnect`

### getAConnect_Directed

    org.eclipse.emf.ecore.EAttribute getAConnect_Directed()

  Returns the meta object for the attribute ' `Directed`'.

  Returns:
    the meta object for the attribute 'Directed'.
  See Also:
    `AConnect.isDirected()`, `getAConnect()`

### getANetwork

    org.eclipse.emf.ecore.EClass getANetwork()

  Returns the meta object for class '`ANetwork`'.

  Returns:
    the meta object for class 'ANetwork'.
  See Also:
    `ANetwork`

### getANetwork_Within

    org.eclipse.emf.ecore.EReference getANetwork_Within()

  Returns the meta object for the reference ' `Within`'.

  Returns:
    the meta object for the reference 'Within'.
  See Also:
    `ANetwork.getWithin()`, `getANetwork()`

### getADisconnect

    org.eclipse.emf.ecore.EClass getADisconnect()

  Returns the meta object for class '`ADisconnect`'.

  Returns:
    the meta object for class 'ADisconnect'.
  See Also:
    `ADisconnect`

### getAReplace

    org.eclipse.emf.ecore.EClass getAReplace()

  Returns the meta object for class '`AReplace`'.

  Returns:
    the meta object for class 'AReplace'.
  See Also:
    `AReplace`

### getACommand

    org.eclipse.emf.ecore.EClass getACommand()

  Returns the meta object for class '`ACommand`'.

  Returns:
    the meta object for class 'ACommand'.
  See Also:
    `ACommand`

### getACause

    org.eclipse.emf.ecore.EClass getACause()

  Returns the meta object for class '`ACause`'.

  Returns:
    the meta object for class 'ACause'.
  See Also:
    `ACause`

### getACause_Result

    org.eclipse.emf.ecore.EReference getACause_Result()

  Returns the meta object for the reference '`Result`'.

  Returns:
    the meta object for the reference 'Result'.
  See Also:
    `ACause.getResult()`, `getACause()`

### getADiffuse

    org.eclipse.emf.ecore.EClass getADiffuse()

  Returns the meta object for class '`ADiffuse`'.

  Returns:
    the meta object for class 'ADiffuse'.
  See Also:
    `ADiffuse`

### getADiffuse_Diffused

    org.eclipse.emf.ecore.EReference getADiffuse_Diffused()

  Returns the meta object for the reference ' `Diffused`'.

  Returns:
    the meta object for the reference 'Diffused'.
  See Also:
    `ADiffuse.getDiffused()`, `getADiffuse()`

### getADiffuse_DiffusionRate

    org.eclipse.emf.ecore.EReference getADiffuse_DiffusionRate()

  Returns the meta object for the reference '`Diffusion Rate`'.

  Returns:
    the meta object for the reference 'Diffusion Rate'.
  See Also:
    `ADiffuse.getDiffusionRate()`, `getADiffuse()`

### getADiffuse_EvaporationRate

    org.eclipse.emf.ecore.EReference getADiffuse_EvaporationRate()

  Returns the meta object for the reference '`Evaporation Rate`'.

  Returns:
    the meta object for the reference 'Evaporation Rate'.
  See Also:
    `ADiffuse.getEvaporationRate()`, `getADiffuse()`

### getAPerform

    org.eclipse.emf.ecore.EClass getAPerform()

  Returns the meta object for class '`APerform`'.

  Returns:
    the meta object for class 'APerform'.
  See Also:
    `APerform`

### getADerive

    org.eclipse.emf.ecore.EClass getADerive()

  Returns the meta object for class '`ADerive`'.

  Returns:
    the meta object for class 'ADerive'.
  See Also:
    `ADerive`

### getAShaped

    org.eclipse.emf.ecore.EClass getAShaped()

  Returns the meta object for class '`AShaped`'.

  Returns:
    the meta object for class 'AShaped'.
  See Also:
    `AShaped`

### getAShaped_Shape

    org.eclipse.emf.ecore.EAttribute getAShaped_Shape()

  Returns the meta object for the attribute ' `Shape`'.

  Returns:
    the meta object for the attribute 'Shape'.
  See Also:
    `AShaped.getShape()`, `getAShaped()`

### getALoadShapedAgents

    org.eclipse.emf.ecore.EClass getALoadShapedAgents()

  Returns the meta object for class '`ALoad Shaped Agents`'.

  Returns:
    the meta object for class 'ALoad Shaped Agents'.
  See Also:
    `ALoadShapedAgents`

### getACreateShapedAgents

    org.eclipse.emf.ecore.EClass getACreateShapedAgents()

  Returns the meta object for class '`ACreate Shaped Agents`'.

  Returns:
    the meta object for class 'ACreate Shaped Agents'.
  See Also:
    `ACreateShapedAgents`

### getALoadAgents

    org.eclipse.emf.ecore.EClass getALoadAgents()

  Returns the meta object for class '`ALoad Agents`'.

  Returns:
    the meta object for class 'ALoad Agents'.
  See Also:
    `ALoadAgents`

### getALoadAgents_SourceURL

    org.eclipse.emf.ecore.EAttribute getALoadAgents_SourceURL()

  Returns the meta object for the attribute '`Source URL`'.

  Returns:
    the meta object for the attribute 'Source URL'.
  See Also:
    `ALoadAgents.getSourceURL()`, `getALoadAgents()`

### getAInput

    org.eclipse.emf.ecore.EClass getAInput()

  Returns the meta object for class '`AInput`'.

  Returns:
    the meta object for class 'AInput'.
  See Also:
    `AInput`

### getAInput_Sink

    org.eclipse.emf.ecore.EReference getAInput_Sink()

  Returns the meta object for the container reference ' `Sink`'.

  Returns:
    the meta object for the container reference 'Sink'.
  See Also:
    `AInput.getSink()`, `getAInput()`

### getAInput_Selected

    org.eclipse.emf.ecore.EReference getAInput_Selected()

  Returns the meta object for the reference ' `Selected`'.

  Returns:
    the meta object for the reference 'Selected'.
  See Also:
    `AInput.getSelected()`, `getAInput()`

### getAInput_Literal

    org.eclipse.emf.ecore.EReference getAInput_Literal()

  Returns the meta object for the containment reference '`Literal`'.

  Returns:
    the meta object for the containment reference 'Literal'.
  See Also:
    `AInput.getLiteral()`, `getAInput()`

### getAInput_Value

    org.eclipse.emf.ecore.EReference getAInput_Value()

  Returns the meta object for the reference ' `Value`'.

  Returns:
    the meta object for the reference 'Value'.
  See Also:
    `AInput.getValue()`, `getAInput()`

### getALiteral

    org.eclipse.emf.ecore.EClass getALiteral()

  Returns the meta object for class '`ALiteral`'.

  Returns:
    the meta object for class 'ALiteral'.
  See Also:
    `ALiteral`

### getALiteral_ValueLiteral

    org.eclipse.emf.ecore.EAttribute getALiteral_ValueLiteral()

  Returns the meta object for the attribute '`Value Literal`'.

  Returns:
    the meta object for the attribute 'Value Literal'.
  See Also:
    `ALiteral.getValueLiteral()`, `getALiteral()`

### getAMultiValue

    org.eclipse.emf.ecore.EClass getAMultiValue()

  Returns the meta object for class '`AMulti Value`'.

  Returns:
    the meta object for class 'AMulti Value'.
  See Also:
    `AMultiValue`

### getAMultiValue_Values

    org.eclipse.emf.ecore.EReference getAMultiValue_Values()

  Returns the meta object for the reference list '`Values`'.

  Returns:
    the meta object for the reference list 'Values'.
  See Also:
    `AMultiValue.getValues()`, `getAMultiValue()`

### getABuildSpaceTypes

    org.eclipse.emf.ecore.EEnum getABuildSpaceTypes()

  Returns the meta object for enum '`ABuild Space Types`'.

  Returns:
    the meta object for enum 'ABuild Space Types'.
  See Also:
    `ABuildSpaceTypes`

### getABuildNetworkTypes

    org.eclipse.emf.ecore.EEnum getABuildNetworkTypes()

  Returns the meta object for enum '`ABuild Network Types`'.

  Returns:
    the meta object for enum 'ABuild Network Types'.
  See Also:
    `ABuildNetworkTypes`

### getASelectTypes

    org.eclipse.emf.ecore.EEnum getASelectTypes()

  Returns the meta object for enum '`ASelect Types`'.

  Returns:
    the meta object for enum 'ASelect Types'.
  See Also:
    `ASelectTypes`

### getMetaABMActFactory

    MetaABMActFactory getMetaABMActFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.